******************************************************.
***  BiH, LSMS 2001, Country level data            ***.
***                                                ***.
***  Program file: CALORIES sps                    ***.
***  Data file used: C:\BIH\M11_B1 sav             ***.
***                  data from USDA calorie charts ***.
***                     entered manually           ***.
***  Output file: C:\BIH\CALORIES sav              ***.
***                                                ***.
***  Calories per food item                        ***.
******************************************************.

******************************************************.
*** The first step is to simply get a file that    ***.
*** contains one record for every type of food or  ***.
*** food code                                      ***.
******************************************************.

get file='c:\bih\m11_b1.sav'.
sort cases by mbb1_q00.
aggregate /outfile='c:\bih\food1_agg.sav'
/break mbb1_q00
/tempvar1=first(mbb1_q02).

get file='c:\bih\food1_agg.sav'.

******************************************************.
*** create a variable for number of calories per   ***.
*** unit (usually kilograms) for each food item or ***.
*** food code                                      ***.
******************************************************.

Compute cal_unit=0.
if (mbb1_q00 eq 1) cal_unit= 4150.
*Average from maize, rye, barley and oats*.
if (mbb1_q00 eq 2) cal_unit= 3180. 
if (mbb1_q00 eq 3) cal_unit= 3410.
*Average from rye and corn flour*.
if (mbb1_q00 eq 4) cal_unit= 3320.
*Average from wheat and other bread*.
if (mbb1_q00 eq 5) cal_unit= 2410. 
if (mbb1_q00 eq 6) cal_unit= 3480.
*Average from biscuit,pastries,pie and pizza*.
if (mbb1_q00 eq 7) cal_unit= 3073.  
*Average from beaf and veal w/wo bones*.
if (mbb1_q00 eq 8) cal_unit= 2025.
*Low quality pork*.
if (mbb1_q00 eq 9) cal_unit=  1810.
if (mbb1_q00 eq 10) cal_unit= 1340.
if (mbb1_q00 eq 11) cal_unit=  820.
*Meat subproducts average*.
if (mbb1_q00 eq 12) cal_unit= 890.
*Average fresh, frozen*.
if (mbb1_q00 eq 13) cal_unit=  645.
 *Average from sardine-oil,fish fillet and smoked salmon*.
if (mbb1_q00 eq 14) cal_unit= 1888. 
*Average fat and non-fat milk*.
if (mbb1_q00 eq 15) cal_unit=  540. 
if (mbb1_q00 eq 16) cal_unit=  790.
* Sour cream*.
if (mbb1_q00 eq 17) cal_unit= 1300.
* Used Feta cheese*.
if (mbb1_q00 eq 18) cal_unit= 2500.
if (mbb1_q00 eq 19) cal_unit= 4390.
if (mbb1_q00 eq 20) cal_unit= 1320.
if (mbb1_q00 eq 21) cal_unit= 7370.
if (mbb1_q00 eq 22) cal_unit= 7390. 
*Average olive oil and other oil*.
if (mbb1_q00 eq 23) cal_unit= 8990. 
*Average from row bacon and pork fat*.
if (mbb1_q00 eq 24) cal_unit= 5678. 
if (mbb1_q00 eq 25) cal_unit= 3940.
if (mbb1_q00 eq 26) cal_unit= 2780.
if (mbb1_q00 eq 27) cal_unit= 2750.
if (mbb1_q00 eq 28) cal_unit= 5100.
*Average from candies,ice-cream and chewing gum*.
if (mbb1_q00 eq 29) cal_unit= 3350. 
if (mbb1_q00 eq 30) cal_unit=  740.
*Average from mayonnaise,mustard. This values is for 1 kg*.
if (mbb1_q00 eq 31) cal_unit= 3000. 
if (mbb1_q00 eq 32) cal_unit=  142.
if (mbb1_q00 eq 33) cal_unit=    0.
*Average from chicken and mushroom condensed soup*.
if (mbb1_q00 eq 34) cal_unit= 700. 
*Average from pudding vanilla, dessert pudding dry mix *.
*and baking soda (0 calories)                          *.
if (mbb1_q00 eq 35) cal_unit= 1670. 
if (mbb1_q00 eq 36) cal_unit=   20.
if (mbb1_q00 eq 37) cal_unit=   10.
*Average cocoa and chocholate*.
if (mbb1_q00 eq 38) cal_unit= 4110. 
if (mbb1_q00 eq 39) cal_unit=   0.
*cola and lemonade and sprite*.
if (mbb1_q00 eq 40) cal_unit=  300.
*fruit syrups, juices and concentrates.
if (mbb1_q00 eq 41) cal_unit= 1210.
if (mbb1_q00 eq 42) cal_unit= 2172.
*wine- sweet*.
if (mbb1_q00 eq 43) cal_unit= 660.
if (mbb1_q00 eq 44) cal_unit= 310.

rename var (mbb1_q00= mbb_code).
save /outfile='c:\bih\foodcod1.sav'.

******************************************************.
*** Repeat process for foods contained in M11_B2   ***.
******************************************************.

get file='c:\bih\m11_b2.sav'.

******************************************************.
*** there is a problem with the coding in this file ***.
*** fix it- once redo the original this line can    ***.
*** can be dropped                                  ***.
*******************************************************.

if (mbb2_q00 le 22) mbb2_q00=mbb2_q00+44.
sort cases by mbb2_q00.

aggregate /outfile='c:\bih\food2_agg.sav'
/break mbb2_q00
/tempvar2=first(mbb2_q02).

get file='c:\bih\food2_agg.sav'.

compute cal_unit=0.
if (mbb2_q00 eq 45) cal_unit= 260.
if (mbb2_q00 eq 46) cal_unit= 640.
if (mbb2_q00 eq 47) cal_unit= 420.
if (mbb2_q00 eq 48) cal_unit= 360.
if (mbb2_q00 eq 49) cal_unit= 570.
*Average apricot, plums,olives and cherries*.
if (mbb2_q00 eq 50) cal_unit= 503.
*Average strawberry, watermelon and honeymelon*.
if (mbb2_q00 eq 51) cal_unit= 403. 
*Average from walnuts in shell and cleaned and peanuts with salt*.
if (mbb2_q00 eq 52) cal_unit= 2260.
*Average dried apricots, pears and apples*.
if (mbb2_q00 eq 53) cal_unit= 1510.
if (mbb2_q00 eq 54) cal_unit= 250.
if (mbb2_q00 eq 55) cal_unit= 250.
if (mbb2_q00 eq 56) cal_unit= 150.
if (mbb2_q00 eq 57) cal_unit= 290.
if (mbb2_q00 eq 58) cal_unit= 130.
*Average from peas green raw, beans green variety*.
if (mbb2_q00 eq 59) cal_unit= 480.  
if (mbb2_q00 eq 60) cal_unit= 1170.
if (mbb2_q00 eq 61) cal_unit= 380.
if (mbb2_q00 eq 62) cal_unit= 430.
if (mbb2_q00 eq 63) cal_unit= 1490.
if (mbb2_q00 eq 64) cal_unit= 600.
if (mbb2_q00 eq 65) cal_unit= 240.
*Average from dried tomatoes, sour cucumber and tomatoes whole canned*.
if (mbb2_q00 eq 66) cal_unit= 963. 
rename var (mbb2_q00= mbb_code).

save /outfile='c:\bih\foodcod2.sav'.

******************************************************.
*** now merge the two food files (caloric values)  ***.
*** together                                       ***.
******************************************************.

get file='c:\bih\foodcod1.sav' /drop tempvar1.
add files file=* /file='c:\bih\foodcod2.sav' /drop tempvar2.
freq /var cal_unit.
select if (mbb_code ge 0).
sort cases by mbb_code.

save /outfile='c:\bih\calories.sav'.