**************************************************.
*** BiH 2001 LSMS country level data           ***.
***                                            ***.
*** Program file FOOD sps                      ***.
*** Uses data files C:\BIH\M11_B1 sav          ***.
***                 C:\BIH\M11_B2 sav          ***.
*** Output files C:\BIH\FOOD sav               ***.
***              C:\BIH\FOOD_ALL sav           ***.
***                                            ***.
*** For Consumption Aggregate                  ***.
*** Calculate total annual food consumption    ***.
*** at the household level based on            ***.
*** module 11 part B1 and B2                   ***.
***                                            ***.
*** BIH, 2001, Dravni nivo                    ***.
*** Agregat Potronje - Dio B1 i B2            ***.
*** proraun ukupne potronje hrane            ***.
*** na nivou domainstva                       ***.
*** prema B1 tabeli		                 ***.
**************************************************.

**************************************************.
*** Part B1                                    ***.
*** Dio B1                                     ***.
**************************************************.

get file='c:\bih\M11_B1.SAV'
 /drop mbb1_q1a.
save outfile='c:\bih\tempfood1_SAV.SAV'.

NUMERIC EMPTY.

MISSING VALUES MBB1_Q02 TO MBB1_Q06 (0, 7777.00 THRU highest).

SORT CASES BY
  entity (A) gnd (A) hid (A) mbb1_q00(A) muncode (A)  numist (A).

*************************************************************.
*** Check filter mbb1_q1b=2                               ***.
*** Provjera filtera mbb1_q1b=2                           ***.
*************************************************************.

IF (mbb1_q1b=2 & Not(SYSMIS(mbb1_q02) & SYSMIS(mbb1_q03) & SYSMIS(mbb1_q04) &
  SYSMIS(mbb1_q05) & SYSMIS(mbb1_q06))) check001 = 1 .
VARIABLE LABELS check001 'Gives 1 if mbb1_q1b=2 is wrong filter' .

*******************************************************************************************.		
*** Correction that puts mbb1_q1b = 1 if there is some real data in filtered variables  ***.
*** Za predhodnu provjeru vri ispravak na nain ako je upisnan neki podatak            ***.
*** u mbb1_q02 do mbb1_q06 onda postavlja mbb1_q1b =1                                   ***.
*******************************************************************************************.

IF (check001 = 1& (mbb1_q02>.00 or mbb1_q03>.00 or mbb1_q04>.00 or mbb1_q05>.00 or mbb1_q06>.00)) mbb1_q1b = 1.

*************************************************************.
*** Check filter mbb1_q1b=1                               ***.
*** Provjera filtera mbb1_q1b=1                           ***.
*************************************************************.

IF (mbb1_q1b=1 & not (mbb1_q02>.00 or mbb1_q03>.00 or mbb1_q04>.00 or mbb1_q05>.00 or mbb1_q06>.00)) check002 = 1 .
VARIABLE LABELS check002 'Gives 1 if mbb1_q1b=1 is wrong filter' .

**********************************************************************************************.		
*** Correction that puts mbb1_q1b = 2 if there is not any real data in filtered variables  ***. 
*** Za predhodnu provjeru vri ispravak na nain ako nema podataka                         ***.
*** u mbb1_q02 do mbb1_q06 onda postavlja mbb1_q1b =2                                      ***.
**********************************************************************************************.		

IF (check002 = 1) mbb1_q1b = 2.

EXECUTE.

***************************************************************************************.
*** Checking the existence of data. It creats a group of dummy variables            ***.
*** Provjerava postojanje podatka unutar polja.Kreira grupu indikatorskih varijabli ***.
***************************************************************************************.
	
	IF (mbb1_q02>0.00 & mbb1_q02<7777.00) DataQ02 = 1 .
	VARIABLE LABELS DataQ02 'Gives 1 where there is data' .
	IF (mbb1_q03>0.00 & mbb1_q03<7777.00) DataQ03 = 1 .
	VARIABLE LABELS DataQ03 'Gives 1 where there is data' .
	IF (mbb1_q04>0.00 & mbb1_q04<7777.00) DataQ04 = 1 .
	VARIABLE LABELS DataQ04 'Gives 1 where there is data' .
	IF (mbb1_q05>0.00 & mbb1_q05<7777.00) DataQ05 = 1 .
	VARIABLE LABELS DataQ05 'Gives 1 where there is data' .
	IF (mbb1_q06 > 0.00 & mbb1_q06<7777.00) DataQ06 = 1 . 
	VARIABLE LABELS DataQ06 'Gives 1 where there is data' .

IF (mbb1_q02>7777.00 & mbb1_q02<8888.88) ProxyQ02 = 1 .
	VARIABLE LABELS ProxyQ02 'Gives 1 where there is data' .
	IF (mbb1_q03>7777.00 & mbb1_q03<8888.88) ProxyQ03 = 1 .
	VARIABLE LABELS ProxyQ03 'Gives 1 where there is data' .
	IF (mbb1_q04>7777.00 & mbb1_q04<8888.88) ProxyQ04 = 1 .
	VARIABLE LABELS ProxyQ04 'Gives 1 where there is data' .
	IF (mbb1_q05>7777.00 & mbb1_q05<8888.88) ProxyQ05 = 1 .
	VARIABLE LABELS ProxyQ05 'Gives 1 where there is data' .
	IF (mbb1_q06 > 7777.00 & mbb1_q06<8888.88) ProxyQ06 = 1 . 
	VARIABLE LABELS ProxyQ06 'Gives 1 where there is data' .

EXECUTE.
*************************************************************.
*** Data cleaning                                         ***.
*** ienje podataka                                     ***.
*************************************************************.

	IF (SYSMIS(DataQ02)) mbb1_q02 = EMPTY .
	IF (SYSMIS(DataQ03)) mbb1_q03 = EMPTY .
	IF (SYSMIS(DataQ04)) mbb1_q04 = EMPTY .
	IF (SYSMIS(DataQ05)) mbb1_q05 = EMPTY .
	IF (SYSMIS(DataQ06)) mbb1_q06 = EMPTY .
EXECUTE.

*************************************************************.
*** Deleting mbb1_q1b <>1 cases ( There is 10 cases where ***.
*** filter and data was empty. No cases with filter empty ***.
*** and data inside)                                      ***.
*** Brie sluajeve za koje je mbb1_q1b <>1 ( U 10        ***.
*** sluajeva filter i podaci su prazni. Nema sluajeva u ***.
*** kojim je filter prazan a postoje podaci unutar filtera)**.
*************************************************************.

SELECT IF (mbb1_q1b =1).

EXECUTE.

*************************************************************.
*** Unit Prices (values) calculating                      ***.
*** Izraunavanje jedininih cijena                       ***.
*************************************************************.

	COMPUTE Unit_PQ = mbb1_q03/mbb1_q02 .
	VARIABLE LABELS Unit_PQ 'Unit price based on purchase quantity' .
	COMPUTE Unit_OP = mbb1_q05/mbb1_q04 .
	VARIABLE LABELS Unit_OP 'Unit price based on own production' .
EXECUTE.

*************************************************************.
*** Unit Prices locating                                  ***.
*** Lociranjeanje jedininih cijena                       ***.
*************************************************************.

	IF (Unit_PQ>0.00) Data_PQ = 1 .
	VARIABLE LABELS Data_PQ 'Gives 1 where there is data' .
	IF (Unit_OP>0.00) Data_OP = 1 .
	VARIABLE LABELS Data_OP 'Gives 1 where there is data' .
EXECUTE.	

*************************************************************.
*** Aggregating of files that give information about n of ***.
*** data for unit prices inside of Gnd, Municipality and  ***.
*** Entity as wel as median and stdev                     ***.
*** Plus information about n of data for unit prices      ***.
*** inside of Gnd, Municipality and Entity as well as     ***.
*** median and stdev                                      ***.
***                                                       ***.
*** Agregiranje fajla koji daje informaciju o broju       ***.
*** podataka unutar svake GPK,OPTINE I ENTITETA, o       ***.
*** mediani podataka i stdev                              ***.
*** Plus informacije o broju podataka za jed. cijene      ***.
*** unutar svake GPK,OPTINE I ENTITETA, o mediani        ***.
*** podataka i o stdev podataka                           ***.
*************************************************************.

AGGREGATE
  /OUTFILE='c:\bih\tempfood1_Gnd.sav'
  /BREAK=entity muncode gnd mbb1_q00
  /GDataQ02 = SUM(DataQ02) /GMEDQ02 = MEDIAN(mbb1_q02)/GSTDQ02  = SD(mbb1_q02)
  /GDataQ03 = SUM(DataQ03) /GMEDQ03 = MEDIAN(mbb1_q03)/GSTDQ03  = SD(mbb1_q03)
  /GDataQ04 = SUM(DataQ04) /GMEDQ04 = MEDIAN(mbb1_q04)/GSTDQ04  = SD(mbb1_q04)
  /GDataQ05 = SUM(DataQ05) /GMEDQ05 = MEDIAN(mbb1_q05)/GSTDQ05  = SD(mbb1_q05)
  /GDataQ06 = SUM(DataQ06) /GMEDQ06 = MEDIAN(mbb1_q06)/GSTDQ06  = SD(mbb1_q06)
  /GData_PQ  = SUM(Data_PQ ) /GMED_PQ  = MEDIAN(Unit_PQ)/GSTD_PQ  = SD(Unit_PQ)
  /GData_OP = SUM(Data_OP) /GMED_OP = MEDIAN(Unit_OP)/GSTD_OP  = SD(Unit_OP).

AGGREGATE
  /OUTFILE='c:\bih\tempfood1_Mun.sav'
  /BREAK=entity muncode  mbb1_q00
  /MDataQ02 = SUM(DataQ02) /MMEDQ02 = MEDIAN(mbb1_q02)/MSTDQ02  = SD(mbb1_q02)
  /MDataQ03 = SUM(DataQ03) /MMEDQ03 = MEDIAN(mbb1_q03)/MSTDQ03  = SD(mbb1_q03)
  /MDataQ04 = SUM(DataQ04) /MMEDQ04 = MEDIAN(mbb1_q04)/MSTDQ04  = SD(mbb1_q04)
  /MDataQ05 = SUM(DataQ05) /MMEDQ05 = MEDIAN(mbb1_q05)/MSTDQ05  = SD(mbb1_q05)
  /MDataQ06 = SUM(DataQ06) /MMEDQ06 = MEDIAN(mbb1_q06)/MSTDQ06  = SD(mbb1_q06)
  /MData_PQ  = SUM(Data_PQ ) /MMED_PQ  = MEDIAN(Unit_PQ)/MSTD_PQ  = SD(Unit_PQ)
  /MData_OP = SUM(Data_OP) /MMED_OP = MEDIAN(Unit_OP)/MSTD_OP  = SD(Unit_OP).
   
AGGREGATE
  /OUTFILE='c:\bih\tempfood1_Ent.sav'
  /BREAK=entity  mbb1_q00
  /EDataQ02 = SUM(DataQ02) /EMEDQ02 = MEDIAN(mbb1_q02)/ESTDQ02  = SD(mbb1_q02)
  /EDataQ03 = SUM(DataQ03) /EMEDQ03 = MEDIAN(mbb1_q03)/ESTDQ03  = SD(mbb1_q03)
  /EDataQ04 = SUM(DataQ04) /EMEDQ04 = MEDIAN(mbb1_q04)/ESTDQ04  = SD(mbb1_q04)
  /EDataQ05 = SUM(DataQ05) /EMEDQ05 = MEDIAN(mbb1_q05)/ESTDQ05  = SD(mbb1_q05)
  /EDataQ06 = SUM(DataQ06) /EMEDQ06 = MEDIAN(mbb1_q06)/ESTDQ06  = SD(mbb1_q06)
  /EData_PQ  = SUM(Data_PQ ) /EMED_PQ  = MEDIAN(Unit_PQ)/ESTD_PQ  = SD(Unit_PQ)
  /EData_OP = SUM(Data_OP) /EMED_OP = MEDIAN(Unit_OP)/ESTD_OP  = SD(Unit_OP).
 
AGGREGATE
  /OUTFILE='c:\bih\tempfood1_bih.sav'
  /BREAK= mbb1_q00
  /NDataQ02 = SUM(DataQ02) /NMEDQ02 = MEDIAN(mbb1_q02)/NSTDQ02  = SD(mbb1_q02)
  /NDataQ03 = SUM(DataQ03) /NMEDQ03 = MEDIAN(mbb1_q03)/NSTDQ03  = SD(mbb1_q03)
  /NDataQ04 = SUM(DataQ04) /NMEDQ04 = MEDIAN(mbb1_q04)/NSTDQ04  = SD(mbb1_q04)
  /NDataQ05 = SUM(DataQ05) /NMEDQ05 = MEDIAN(mbb1_q05)/NSTDQ05  = SD(mbb1_q05)
  /NDataQ06 = SUM(DataQ06) /NMEDQ06 = MEDIAN(mbb1_q06)/NSTDQ06  = SD(mbb1_q06)
  /NData_PQ  = SUM(Data_PQ ) /NMED_PQ  = MEDIAN(Unit_PQ)/NSTD_PQ  = SD(Unit_PQ)
  /NData_OP = SUM(Data_OP) /NMED_OP = MEDIAN(Unit_OP)/NSTD_OP  = SD(Unit_OP).

 SORT CASES BY
  entity (A) gnd (A)  mbb1_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood1_SAV.SAV'.

*************************************************************.
*** Merge  aggregated files                               ***.
*** Spajanje novonastalih fajlova                         ***.
*************************************************************.

get file='c:\bih\tempfood1_Gnd.sav'.
SORT CASES BY
  entity (A) gnd (A) mbb1_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood1_Gnd.sav'.
get file='c:\bih\tempfood1_SAV.SAV'.

MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood1_Gnd.sav'
 /BY entity gnd mbb1_q00 muncode.
EXECUTE.

save outfile='c:\bih\tempfood1_SAV.SAV'.

*************************************************************.
*** Merge aggregated files                                ***.
*** Spajanje novonastalih fajlova                         ***.
*************************************************************.

get file='c:\bih\tempfood1_SAV.SAV'

SORT CASES BY
  entity (A)  mbb1_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood1_SAV.SAV'.

get file='c:\bih\tempfood1_Mun.sav'.
SORT CASES BY
  entity (A)  mbb1_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood1_Mun.sav'.
get file='c:\bih\tempfood1_SAV.SAV'.

MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood1_Mun.sav'
 /BY entity mbb1_q00 muncode .
save outfile='c:\bih\tempfood1_SAV.SAV'.

*************************************************************.
*** Merge aggregated files                                ***.
*** Spajanje novonastalih fajlova                         ***.
*************************************************************.

get file='c:\bih\tempfood1_SAV.SAV'.

 SORT CASES BY
 entity (A)  mbb1_q00 (A).
EXECUTE.
save outfile='c:\bih\tempfood1_SAV.SAV'.

get file='c:\bih\tempfood1_Ent.sav'.
SORT CASES BY
  entity (A)  mbb1_q00(A).
EXECUTE.
save outfile='c:\bih\tempfood1_Ent.sav'.
get file='c:\bih\tempfood1_SAV.SAV'.

MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood1_Ent.sav'
 /BY entity mbb1_q00.
save outfile='c:\bih\tempfood1_SAV.SAV'.
get file='c:\bih\tempfood1_SAV.SAV'.

*************************************************************.
*** Merger aggregated files                               ***.
*** Spajanje novonastalih fajlova                         ***.
*************************************************************.

get file='c:\bih\tempfood1_SAV.SAV'.

SORT CASES BY
mbb1_q00 (A).
EXECUTE.
save outfile='c:\bih\tempfood1_SAV.SAV'.

get file='c:\bih\tempfood1_bih.sav'.
SORT CASES BY
 mbb1_q00(A).
EXECUTE.
save outfile='c:\bih\tempfood1_bih.sav'.
get file='c:\bih\tempfood1_SAV.SAV'.

MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood1_bih.sav'
 /BY mbb1_q00.
save outfile='c:\bih\tempfood1_SAV.SAV'.
get file='c:\bih\tempfood1_SAV.SAV'.

*****************************************************************************************.
*** Median and stdev adjusting. At least 5 observations  for every median and stdev   ***.
*** Podeavanje mediane i stdev. Svaka mediana i stdev je nainjena od bar 5 podataka ***.
*****************************************************************************************.

IF (GDataQ02 >=5) MEDQ02=GMEDQ02.
IF ((GDataQ02 < 5 | SYSMIS(GDataQ02))& MDataQ02>=5 ) MEDQ02=MMEDQ02.
IF ((GDataQ02 < 5 | SYSMIS(GDataQ02)) & (MDataQ02<5 | SYSMIS(MDataQ02))& EDataQ02>=5) MEDQ02=EMEDQ02.
IF (GDataQ03 >=5) MEDQ03=GMEDQ03.
IF ((GDataQ03 < 5 | SYSMIS(GDataQ03))& MDataQ03>=5 ) MEDQ03=MMEDQ03.
IF ((GDataQ03 < 5 | SYSMIS(GDataQ03)) & (MDataQ03<5 | SYSMIS(MDataQ03))& EDataQ03>=5) MEDQ03=EMEDQ03.
IF (GDataQ04 >=5) MEDQ04=GMEDQ04.
IF ((GDataQ04 < 5 | SYSMIS(GDataQ04))& MDataQ04>=5 ) MEDQ04=MMEDQ04.
IF ((GDataQ04 < 5 | SYSMIS(GDataQ04)) & (MDataQ04<5 | SYSMIS(MDataQ04))& EDataQ04>=5) MEDQ04=EMEDQ04.
IF (GDataQ05 >=5) MEDQ05=GMEDQ05.
IF ((GDataQ05 < 5 | SYSMIS(GDataQ05))& MDataQ05>=5 ) MEDQ05=MMEDQ05.
IF ((GDataQ05 < 5 | SYSMIS(GDataQ05)) & (MDataQ05<5 | SYSMIS(MDataQ05))& EDataQ05>=5) MEDQ05=EMEDQ05.
IF (GDataQ06 >=5) MEDQ06=GMEDQ06.
IF ((GDataQ06 < 5 | SYSMIS(GDataQ06))& MDataQ06>=5 ) MEDQ06=MMEDQ06.
IF ((GDataQ06 < 5 | SYSMIS(GDataQ06)) & (MDataQ06<5 | SYSMIS(MDataQ06))& EDataQ06>=5) MEDQ06=EMEDQ06.
IF (GData_PQ >=5) MED_PQ=GMED_PQ.
IF ((GData_PQ < 5 | SYSMIS(GData_PQ))& MData_PQ>=5 ) MED_PQ=MMED_PQ.
IF ((GData_PQ < 5 | SYSMIS(GData_PQ)) & (MData_PQ<5 | SYSMIS(MData_PQ))& EData_PQ>=5) MED_PQ=EMED_PQ.
IF (GData_OP >=5) MED_OP=GMED_OP.
IF ((GData_OP < 5 | SYSMIS(GData_OP))& MData_OP>=5 ) MED_OP=MMED_OP.
IF ((GData_OP < 5 | SYSMIS(GData_OP)) & (MData_OP<5 | SYSMIS(MData_OP))& EData_OP>=5) MED_OP=EMED_OP.
EXECUTE.

***********************************************.
*** Heroic decisions other sweets=chocolate ***.
*** values for cleaning/quantities          ***. 
*** Herojske Odluke                         ***.
***********************************************.

SORT CASES BY
  entity (A) muncode (A)  gnd (A) numist (A) hid (A) mbb1_q00(A) .
EXECUTE.
IF (mbb1_q00=29 & (DataQ03=1|ProxyQ03=1)) MED_PQ=LAG(MED_PQ,1).
IF (mbb1_q00=29 & (DataQ05=1|ProxyQ05=1)) MED_PQ=LAG(MED_PQ,1).
EXECUTE.

*************************************************************.
*** Missing data fixing                                   ***.
*** Fiksiranje nedostajuih podataka                      ***.
*************************************************************.

IF (DataQ02 =1 & SYSMIS(DataQ03)) mbb1_q03=mbb1_q02*MED_PQ.
IF (DataQ02 =1 & SYSMIS(DataQ03)) DataQ03=1.
IF (DataQ02 =1 & SYSMIS(DataQ03)) Unit_PQ=MED_PQ.
IF (DataQ02 =1 & SYSMIS(DataQ03)) Data_PQ=1.

IF (DataQ03 =1 & SYSMIS(DataQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) mbb1_q02=mbb1_q03/MED_PQ.
IF (DataQ03 =1 & SYSMIS(DataQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) DataQ02=1.
IF (DataQ03 =1 & SYSMIS(DataQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) Unit_PQ=MED_OP.
IF (DataQ03 =1 & SYSMIS(DataQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) Data_PQ=1.

IF (DataQ04 =1 & SYSMIS(DataQ05)) mbb1_Q05=mbb1_Q04*MED_PQ.
IF (DataQ04 =1 & SYSMIS(DataQ05)) DataQ05=1.
IF (DataQ04 =1 & SYSMIS(DataQ05)) Unit_PQ=MED_PQ.
IF (DataQ04 =1 & SYSMIS(DataQ05)) Data_PQ=1.

IF (DataQ05 =1 & SYSMIS(DataQ04) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) mbb1_Q04=mbb1_Q05/MED_PQ.
IF (DataQ05 =1 & SYSMIS(DataQ04) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) DataQ04=1.
IF (DataQ05 =1 & SYSMIS(DataQ04) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) Unit_PQ=MED_OP.
IF (DataQ05 =1 & SYSMIS(DataQ04) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37) Data_PQ=1. 

*************************************************************.
*** Don't know no reply data fixing                       ***.
*** Fiksiranje NZ i BO podataka                           ***.
*************************************************************.

IF(ProxyQ02=1 & ProxyQ03=1 ) mbb1_Q02=MEDQ02.
IF(ProxyQ02=1 & ProxyQ03=1 ) mbb1_Q03=MEDQ03.
IF(ProxyQ02=1 & ProxyQ03=1 ) Unit_PQ=mbb1_Q03/mbb1_Q02.

IF(ProxyQ04=1 & ProxyQ05=1 ) mbb1_Q04=MEDQ04.
IF(ProxyQ04=1 & ProxyQ05=1 ) mbb1_Q05=MEDQ05.
IF(ProxyQ04=1 & ProxyQ05=1 ) Unit_PQ=mbb1_Q05/mbb1_Q04.

IF(ProxyQ06=1) mbb1_q06=MEDQ06.

*************************************************************.
*** Error control                                         ***.
*** Provjeravanje greaka                                 ***.
*************************************************************.

IF (DataQ02 =1 & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37 & (mbb1_Q02<=NMEDQ02-6*NSTDQ02 | mbb1_q02>=NMEDQ02+6*NSTDQ02)) ERRQ02=1.
IF (DataQ03 =1 & (mbb1_Q03<=NMEDQ03-6*NSTDQ03 | mbb1_Q03>=NMEDQ03+6*NSTDQ03)) ERRQ03=1.
IF (DataQ04 =1 & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37  & (mbb1_Q04<=NMEDQ04-6*NSTDQ04 | mbb1_Q04>=NMEDQ04+6*NSTDQ04)) ERRQ04=1.
IF (DataQ05 =1 & (mbb1_Q05<=NMEDQ05-6*NSTDQ05 | mbb1_Q05>=NMEDQ05+6*NSTDQ05)) ERRQ05=1.
IF (DataQ06 =1 & (mbb1_Q06<=NMEDQ06-6*NSTDQ06 | mbb1_Q06>=NMEDQ06+6*NSTDQ06)) ERRQ06=1.
IF (Data_PQ =1 & (unit_PQ<=NMED_PQ-3*NSTD_PQ | unit_PQ>=NMED_PQ+3*NSTD_PQ)) ERR_PQ=1.
IF (Data_OP =1 & (unit_OP<=NMED_OP-3*NSTD_OP | unit_OP>=NMED_OP+3*NSTD_OP)) ERR_OP=1.
EXECUTE.

*************************************************************.
*** Errors Imputation: Purchase                           ***.
*** Imputacija Greaka: Kupovina                          ***.
*************************************************************.

IF(ERRQ02=1 & ERRQ03=1 & ERR_PQ=1) mbb1_Q02=MEDQ02.
IF(ERRQ02=1 & ERRQ03=1 & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(ERRQ02=1 & ERRQ03=1 & ERR_PQ=1) mbb1_q03=mbb1_Q02*Unit_PQ.

IF(SYSMIS(ERRQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ03=1 & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(SYSMIS(ERRQ02) & mbb1_q00<> 31& mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ03=1 & ERR_PQ=1) mbb1_q03=mbb1_Q02*Unit_PQ.

IF(ERRQ02=1 & SYSMIS(ERRQ03) & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(ERRQ02=1 & SYSMIS(ERRQ03) & ERR_PQ=1) mbb1_Q02=mbb1_Q03/Unit_PQ.

*******************************************************************************.
*** Errors Imputation: 12 months consumption instead of 1 month consumption ***.
*** Potronja za 12 mjeseci umjesto potronja za 1 mjesec                   ***.
*******************************************************************************.

IF(ERRQ02=1 & ERRQ03=1 & not((mbb1_Q02/12)<=NMEDQ02-6*NSTDQ02 | (mbb1_Q02/12)>=NMEDQ02+6*NSTDQ02) & not ((mbb1_Q03/12)<=NMEDQ03-6*NSTDQ03 | (mbb1_Q03/12)>=NMEDQ03+6*NSTDQ03)& SYSMIS(ERR_PQ)) mbb1_Q02=mbb1_Q02/12.
IF(ERRQ02=1 & ERRQ03=1 & not((mbb1_Q02/12)<=NMEDQ02-6*NSTDQ02 | (mbb1_Q02/12)>=NMEDQ02+6*NSTDQ02) & not ((mbb1_Q03/12)<=NMEDQ03-6*NSTDQ03 | (mbb1_Q03/12)>=NMEDQ03+6*NSTDQ03) & SYSMIS(ERR_PQ)) mbb1_q03=mbb1_q03/12.

IF(ERRQ02=1 & ERRQ03=1 & (((mbb1_Q02/12)<=NMEDQ02-6*NSTDQ02 | (mbb1_Q02/12)>=NMEDQ02+6*NSTDQ02) | ((mbb1_Q03/12)<=NMEDQ03-6*NSTDQ03 | (mbb1_Q03/12)>=NMEDQ03+6*NSTDQ03)) & SYSMIS(ERR_PQ)) mbb1_Q02=MEDQ02.
IF(ERRQ02=1 & ERRQ03=1 & (((mbb1_Q02/12)<=NMEDQ02-6*NSTDQ02 | (mbb1_Q02/12)>=NMEDQ02+6*NSTDQ02) | ((mbb1_Q03/12)<=NMEDQ03-6*NSTDQ03 | (mbb1_Q03/12)>=NMEDQ03+6*NSTDQ03) & SYSMIS(ERR_PQ))) mbb1_q03=mbb1_Q02*Unit_PQ.

IF(SYSMIS(ERRQ02) & SYSMIS(ERRQ03) & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(SYSMIS(ERRQ02) & SYSMIS(ERRQ03) & ERR_PQ=1) mbb1_q03=mbb1_Q02*Unit_PQ.

IF(SYSMIS(ERRQ02) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ03=1 & SYSMIS(ERR_PQ)) mbb1_q03=MEDQ03.
IF(SYSMIS(ERRQ02) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37  & ERRQ03=1 & SYSMIS(ERR_PQ)) mbb1_Q02=mbb1_Q03/Unit_PQ.

IF(ERRQ02=1 & SYSMIS(ERRQ03) & SYSMIS(ERR_PQ)) mbb1_Q02=MEDQ02.
IF(ERRQ02=1 & SYSMIS(ERRQ03) & SYSMIS(ERR_PQ)) mbb1_q03=mbb1_Q02*Unit_PQ.
EXECUTE.

*************************************************************.
*** Errors Imputation: Own production                     ***.
*** Imputacija Greaka: Vlastita proivodnja               ***.
*************************************************************.

IF(ERRQ04=1 & ERRQ05=1 & ERR_OP=1) mbb1_Q04=MEDQ04.
IF(ERRQ04=1 & ERRQ05=1 & ERR_OP=1) Unit_OP=MED_OP.
IF(ERRQ04=1 & ERRQ05=1 & ERR_OP=1) mbb1_Q05=mbb1_Q04*Unit_OP.

IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ05=1 & ERR_OP=1) Unit_OP=MED_OP.
IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ05=1 & ERR_OP=1) mbb1_Q05=mbb1_Q04*Unit_OP.

IF(ERRQ04=1 & SYSMIS(ERRQ05) & ERR_OP=1) Unit_OP=MED_OP.
IF(ERRQ04=1 & SYSMIS(ERRQ05) & ERR_OP=1) mbb1_Q04=mbb1_Q05/Unit_OP.

IF(ERRQ04=1 & ERRQ05=1 & SYSMIS(ERR_OP)) mbb1_Q04=MEDQ04.
IF(ERRQ04=1 & ERRQ05=1 & SYSMIS(ERR_OP)) mbb1_Q05=mbb1_Q04*Unit_OP.

IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & SYSMIS(ERRQ05) & ERR_OP=1) Unit_OP=MED_OP.
IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37  & SYSMIS(ERRQ05) & ERR_OP=1) mbb1_Q05=mbb1_Q04*Unit_OP.

IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ05=1 & SYSMIS(ERR_OP)) mbb1_Q05=MEDQ05.
IF(SYSMIS(ERRQ04) & mbb1_q00<> 31 & mbb1_q00<> 35 & mbb1_q00<> 37 & ERRQ05=1 & SYSMIS(ERR_OP)) mbb1_Q04=mbb1_Q05/Unit_OP.

IF(ERRQ04=1 & SYSMIS(ERRQ05) & SYSMIS(ERR_OP)) mbb1_Q04=MEDQ04.
IF(ERRQ04=1 & SYSMIS(ERRQ05) & SYSMIS(ERR_OP)) mbb1_Q05=mbb1_Q04*Unit_OP.
EXECUTE.

*************************************************************.
*** Errors Imputation: Gifts                              ***.
*** Imputacija Greaka: Pokloni                           ***.
*************************************************************.

IF(ERRQ06=1) mbb1_q06=MEDQ06.

save outfile='c:\bih\tempfood1_SAV.SAV'.
get file='c:\bih\tempfood1_SAV.SAV'.

*************************************************************.
*** Gift Qte                                              ***.
*** koliina poklona                                      ***.
*************************************************************.

COMPUTE qte_Q06 = mbb1_q06/Unit_PQ.
EXECUTE.

*************************************************************.
*** Qte adjustment for egs                                ***.
*** Podeavanje koliina za jaja                          ***.
*************************************************************.

IF (mbb1_q00=20) mbb1_q02=mbb1_q02*0.048.
IF (mbb1_q00=20) mbb1_q04=mbb1_q04*0.048.
IF (mbb1_q00=20) Qte_q06=Qte_q06*0.048.
EXECUTE.
save outfile='c:\bih\tempfood1_SAV.sav'.

AGGREGATE
  /OUTFILE='c:\bih\tempfood1_HH.sav'
  /BREAK=entity muncode gnd numist hid  
  /TotAMQ03 = SUM(mbb1_Q03) 
  /TotAMQ05 = SUM(mbb1_Q05) 
  /TotAMQ06 = SUM(mbb1_Q06) 
  /TotQtQ02 = SUM(mbb1_Q02) 
  /TotQtQ04 = SUM(mbb1_Q04) 
  /TotQtQ06 = SUM(Qte_Q06).

EXECUTE.

get file='c:\bih\tempfood1_HH.sav'.

IF (SYSMIS(TotAMQ03)) TotAMQ03 =0.
IF (SYSMIS(TotAMQ05)) TotAMQ05 =0.
IF (SYSMIS(TotAMQ06)) TotAMQ06 =0.
IF (SYSMIS(TotQtQ02)) TotQtQ02 =0.
IF (SYSMIS(TotQtQ04)) TotQtQ04 =0.
IF (SYSMIS(TotQtQ06)) TotQtQ06 =0.
EXECUTE .
COMPUTE TotConB1 =  12*TotAMQ03 + TotAMQ05 + TotAMQ06.
COMPUTE TotQteB1 =  12*TotQtQ02 + TotQtQ04 + TotQtQ06.

EXECUTE .
save outfile='c:\bih\tempfood1_HH.sav'.

***************************************************************************************************************************. 
*** Consumption Aggregate - Part B2                     *** Agregat Potronje - Dio B2                                  ***.
*** Calculate total anual food expenditures at the      *** Proraun ukupne potronje voa i povra na nivou domainstva***.
*** household level based on B2 table                   *** prema B2 tabeli                                             ***.
***************************************************************************************************************************.

get file='c:\bih\M11_B2.SAV'
/drop mbb2_q1a.
RECODE mbb2_q00 (1=45)(2=46)(3=47)(4=48)(5=49)(6=50)(7=51)(8=52)(9=53)(10=54)(11=55)(12=56)(13=57)(14=58)(15=59)
 (16=60)(17=61)(18=62)(19=63)(20=64)(21=65)(22=66).
EXECUTE.
save outfile='c:\bih\tempfood2_SAV.SAV'.

NUMERIC EMPTY.

MISSING VALUES MBB2_Q03 TO MBB2_Q04 (0, 7777.00 THRU 9999.99).
MISSING VALUES MBB2_Q06 TO MBB2_Q08 (0, 7777.00 THRU 9999.99).
MISSING VALUES MBB2_Q02 MBB2_Q05 (0, 77 THRU 99).

SORT CASES BY
  entity (A) gnd (A) hid (A) mbb2_q00(A) muncode (A)  numist (A).

***********************************************.
*** Heroic decisions  for pickles/other     ***.
*** values for cleaning/quantities          ***. 
*** Herojske Odluke                         ***.
***********************************************.

IF (mbb2_q00=65 & mbb2_q04 >= 0 ) mbb2_q03=2.

*************************************************************.
*** Check filter mbb2_q1b=2                               ***.
*** Provjera filtera mbb2_q1b=2                           ***.
*************************************************************.

	IF (mbb2_q1b=2 & Not(SYSMIS(mbb2_q02) & SYSMIS(mbb2_q03) & SYSMIS(mbb2_q04) &
	  SYSMIS(mbb2_q05) & SYSMIS(mbb2_q06)& SYSMIS(mbb2_q07)& SYSMIS(mbb2_q08))) check001 = 1 .
	VARIABLE LABELS check001 'Gives 1 if mbb2_q1b=2 is wrong filter' .
		
*******************************************************************************************.		
*** Correction that puts mbb2_q1b = 1 if there is some real data in filtered variables  ***.
*** Za predhodnu provjeru vri ispravak na nain ako je upisnan neki podatak            ***.
*** u mbb2_q02                                                                          ***.
*******************************************************************************************.

IF (check001 = 1& (mbb2_q02>.00 or mbb2_q03>.00 or mbb2_q04>.00 or mbb2_q05>.00 or mbb2_q06>.00 or mbb2_q07>.00
          or mbb2_q08>.00)) mbb2_q1b = 1.
	
*************************************************************.
*** Check filter mbb2_q1b=1                               ***.
*** Provjera filtera mbb2_q1b=1                           ***.
*************************************************************.

IF (mbb2_q1b=1 & not (mbb2_q02>.00 or mbb2_q03>.00 or mbb2_q04>.00 or mbb2_q05>.00 or mbb2_q06>.00 
            or mbb2_q07>.00 or mbb2_q08>.00)) check002 = 1.
VARIABLE LABELS check002 'Gives 1 if mbb2_q1b=1 is wrong filter' .

***********************************************************************************************.				
*** Correction that puts mbb2_q1b = 2 if there is not any real data in filtered variables   ***. 
*** Za predhodnu provjeru vri ispravak na nain ako nema podataka  u mbb2_q02 do mbb2_q06  ***.  
*** onda postavlja mbb2_q1b =2.                                                             ***.
***********************************************************************************************.				     

IF (check002 = 1) mbb2_q1b = 2.

EXECUTE.

***************************************************************************************.
*** Checking the existence of data. It creats a group of dummie variables           ***.
*** Provjerava postojanje podatka unutar polja.Kreira grupu indikatorskih varijabli ***.
***************************************************************************************.
	
IF (mbb2_q02>0.00 & mbb2_q02<77) DataQ02 = 1 .
VARIABLE LABELS DataQ02 'Gives 1 where there is data' .
IF (mbb2_q03>0.00 & mbb2_q03<7777.00) DataQ03 = 1 .
VARIABLE LABELS DataQ03 'Gives 1 where there is data' .
IF (mbb2_q04>0.00 & mbb2_q04<7777.00) DataQ04 = 1 .
VARIABLE LABELS DataQ04 'Gives 1 where there is data' .
IF (mbb2_q05>0.00 & mbb2_q05<77) DataQ05 = 1 .
VARIABLE LABELS DataQ05 'Gives 1 where there is data' .
IF (mbb2_q06 >= 0.00 & mbb2_q06<7777.00) DataQ06 = 1 . 
VARIABLE LABELS DataQ06 'Gives 1 where there is data' .
IF (mbb2_q07>0.00 & mbb2_q07<7777.00) DataQ07 = 1 .
VARIABLE LABELS DataQ07 'Gives 1 where there is data' .
IF (mbb2_q08 = 0.00 & mbb2_q08<7777.00) DataQ08 = 1 . 
VARIABLE LABELS DataQ08 'Gives 1 where there is data' .

        IF (mbb2_q02>77 & mbb2_q02<88) ProxyQ02 = 1 .
	VARIABLE LABELS ProxyQ02 'Gives 1 where there is data' .
	IF (mbb2_q03>7777.00 & mbb2_q03<8888.88) ProxyQ03 = 1 .
	VARIABLE LABELS ProxyQ03 'Gives 1 where there is data' .
	IF (mbb2_q04>7777.00 & mbb2_q04<8888.88) ProxyQ04 = 1 .
	VARIABLE LABELS ProxyQ04 'Gives 1 where there is data' .
	IF (mbb2_q05>77 & mbb2_q05<88) ProxyQ05 = 1 .
	VARIABLE LABELS ProxyQ05 'Gives 1 where there is data' .
	IF (mbb2_q06 > 7777.00 & mbb2_q06<8888.88) ProxyQ06 = 1 . 
	VARIABLE LABELS ProxyQ06 'Gives 1 where there is data' .
	IF (mbb2_q07>7777.00 & mbb2_q07<8888.88) ProxyQ07 = 1 .
	VARIABLE LABELS ProxyQ07 'Gives 1 where there is data' .
	IF (mbb2_q08 > 7777.00 & mbb2_q08<8888.88) ProxyQ08 = 1 . 
	VARIABLE LABELS ProxyQ08 'Gives 1 where there is data' .

EXECUTE.

*************************************************************.
*** Data cleaning                                         ***.
*** ienje podataka                                     ***.
*************************************************************.

	IF (SYSMIS(DataQ02)) mbb2_q02 = EMPTY .
	IF (SYSMIS(DataQ03)) mbb2_q03 = EMPTY .
	IF (SYSMIS(DataQ04)) mbb2_q04 = EMPTY .
	IF (SYSMIS(DataQ05)) mbb2_q05 = EMPTY .
	IF (SYSMIS(DataQ06)) mbb2_q06 = EMPTY .
	IF (SYSMIS(DataQ07)) mbb2_q07 = EMPTY .
	IF (SYSMIS(DataQ08)) mbb2_q08 = EMPTY .

EXECUTE.

****************************************************************************************.
*** Deleting mbb2_q1b <>1 cases ( There is 10 cases where filter and data was empty  ***. 
*** No cases with filter empty and data inside)                                      ***.
*** Brie sluajeve za koje je mbb2_q1b <>1 ( U 10 sluajeva filter i podaci su      ***.
*** prazni. Nema sluajeva u kojim je filter prazan a postoje podaci unutar filtera) ***.
****************************************************************************************.

SELECT IF (mbb2_q1b =1).
EXECUTE.

*************************************************************.
*** Unit Prices (values) calculating                      ***.
*** Izraunavanje jedininih cijena                       ***.
*************************************************************.

COMPUTE Unit_PQ = mbb2_q04/mbb2_q03 .
VARIABLE LABELS Unit_PQ 'Unit price based on purchase quantity' .
COMPUTE Unit_OP = mbb2_q07/mbb2_q06 .
VARIABLE LABELS Unit_OP 'Unit price based on own production' .
EXECUTE.

*************************************************************.
*** Unit Prices (values) locating                         ***.
*** Lociranjeanje jedininih cijena                       ***.
*************************************************************.

IF (Unit_PQ>0.00) Data_PQ = 1 .
VARIABLE LABELS Data_PQ 'Gives 1 where there is data' .
IF (Unit_OP>0.00) Data_OP = 1 .
VARIABLE LABELS Data_OP 'Gives 1 where there is data' .
EXECUTE.	

*************************************************************.
*** Aggregating of files that give information about n of ***.
*** data for unit prices inside of Gnd, Municipality and  ***.
*** Entity as wel as median and stdev                     ***.
*** Plus information about n of data for unit prices      ***.
*** inside of Gnd, Municipality and Entity as well as     ***.
*** median and stdev                                      ***.
***                                                       ***.
*** Agregiranje fajla koji daje informaciju o broju       ***.
*** podataka unutar svake GPK,OPTINE I ENTITETA, o       ***.
*** mediani podataka i stdev                              ***.
*** Plus informacije o broju podataka za jed. cijene      ***.
*** unutar svake GPK,OPTINE I ENTITETA, o mediani        ***.
*** podataka i o stdev podataka                           ***.
*************************************************************.

AGGREGATE
  /OUTFILE='c:\bih\tempfood2_Gnd.sav'
  /BREAK=entity muncode gnd mbb2_q00
  /GDataQ02 = SUM(DataQ02) /GMEDQ02 = MEDIAN(mbb2_q02)/GSTDQ02  = SD(mbb2_q02)
  /GDataQ03 = SUM(DataQ03) /GMEDQ03 = MEDIAN(mbb2_q03)/GSTDQ03  = SD(mbb2_q03)
  /GDataQ04 = SUM(DataQ04) /GMEDQ04 = MEDIAN(mbb2_q04)/GSTDQ04  = SD(mbb2_q04)
  /GDataQ05 = SUM(DataQ05) /GMEDQ05 = MEDIAN(mbb2_q05)/GSTDQ05  = SD(mbb2_q05)
  /GDataQ06 = SUM(DataQ06) /GMEDQ06 = MEDIAN(mbb2_q06)/GSTDQ06  = SD(mbb2_q06)
  /GDataQ07 = SUM(DataQ07) /GMEDQ07 = MEDIAN(mbb2_q07)/GSTDQ07  = SD(mbb2_q07)
  /GDataQ08 = SUM(DataQ08) /GMEDQ08 = MEDIAN(mbb2_q08)/GSTDQ08  = SD(mbb2_q08)
  /GData_PQ  = SUM(Data_PQ ) /GMED_PQ  = MEDIAN(Unit_PQ)/GSTD_PQ  = SD(Unit_PQ)
  /GData_OP = SUM(Data_OP) /GMED_OP = MEDIAN(Unit_OP)/GSTD_OP  = SD(Unit_OP).

AGGREGATE
  /OUTFILE='c:\bih\tempfood2_Mun.sav'
  /BREAK=entity muncode  mbb2_q00
  /MDataQ02 = SUM(DataQ02) /MMEDQ02 = MEDIAN(mbb2_q02)/MSTDQ02  = SD(mbb2_q02)
  /MDataQ03 = SUM(DataQ03) /MMEDQ03 = MEDIAN(mbb2_q03)/MSTDQ03  = SD(mbb2_q03)
  /MDataQ04 = SUM(DataQ04) /MMEDQ04 = MEDIAN(mbb2_q04)/MSTDQ04  = SD(mbb2_q04)
  /MDataQ05 = SUM(DataQ05) /MMEDQ05 = MEDIAN(mbb2_q05)/MSTDQ05  = SD(mbb2_q05)
  /MDataQ06 = SUM(DataQ06) /MMEDQ06 = MEDIAN(mbb2_q06)/MSTDQ06  = SD(mbb2_q06)
  /MDataQ07 = SUM(DataQ07) /MMEDQ07 = MEDIAN(mbb2_q07)/MSTDQ07  = SD(mbb2_q07)
  /MDataQ08 = SUM(DataQ08) /MMEDQ08 = MEDIAN(mbb2_q08)/MSTDQ08  = SD(mbb2_q08)
  /MData_PQ  = SUM(Data_PQ ) /MMED_PQ  = MEDIAN(Unit_PQ)/MSTD_PQ  = SD(Unit_PQ)
  /MData_OP = SUM(Data_OP) /MMED_OP = MEDIAN(Unit_OP)/GSTD_OP  = SD(Unit_OP).
   
AGGREGATE
  /OUTFILE='c:\bih\tempfood2_Ent.sav'
  /BREAK=entity  mbb2_q00
  /EDataQ02 = SUM(DataQ02) /EMEDQ02 = MEDIAN(mbb2_q02)/ESTDQ02  = SD(mbb2_q02)
  /EDataQ03 = SUM(DataQ03) /EMEDQ03 = MEDIAN(mbb2_q03)/ESTDQ03  = SD(mbb2_q03)
  /EDataQ04 = SUM(DataQ04) /EMEDQ04 = MEDIAN(mbb2_q04)/ESTDQ04  = SD(mbb2_q04)
  /EDataQ05 = SUM(DataQ05) /EMEDQ05 = MEDIAN(mbb2_q05)/ESTDQ05  = SD(mbb2_q05)
  /EDataQ06 = SUM(DataQ06) /EMEDQ06 = MEDIAN(mbb2_q06)/ESTDQ06  = SD(mbb2_q06)
  /EDataQ07 = SUM(DataQ07) /EMEDQ07 = MEDIAN(mbb2_q07)/ESTDQ07  = SD(mbb2_q07)
  /EDataQ08 = SUM(DataQ08) /EMEDQ08 = MEDIAN(mbb2_q08)/ESTDQ08  = SD(mbb2_q08)
  /EData_PQ  = SUM(Data_PQ ) /EMED_PQ  = MEDIAN(Unit_PQ)/ESTD_PQ  = SD(Unit_PQ)
  /EData_OP = SUM(Data_OP) /EMED_OP = MEDIAN(Unit_OP)/GSTD_OP  = SD(Unit_OP).
 
AGGREGATE
  /OUTFILE='c:\bih\tempfood2_bih.sav'
  /BREAK= mbb2_q00
  /NDataQ02 = SUM(DataQ02) /NMEDQ02 = MEDIAN(mbb2_q02)/NSTDQ02  = SD(mbb2_q02)
  /NDataQ03 = SUM(DataQ03) /NMEDQ03 = MEDIAN(mbb2_q03)/NSTDQ03  = SD(mbb2_q03)
  /NDataQ04 = SUM(DataQ04) /NMEDQ04 = MEDIAN(mbb2_q04)/NSTDQ04  = SD(mbb2_q04)
  /NDataQ05 = SUM(DataQ05) /NMEDQ05 = MEDIAN(mbb2_q05)/NSTDQ05  = SD(mbb2_q05)
  /NDataQ06 = SUM(DataQ06) /NMEDQ06 = MEDIAN(mbb2_q06)/NSTDQ06  = SD(mbb2_q06)
  /NDataQ07 = SUM(DataQ07) /NMEDQ07 = MEDIAN(mbb2_q07)/NSTDQ07  = SD(mbb2_q07)
  /NDataQ08 = SUM(DataQ08) /NMEDQ08 = MEDIAN(mbb2_q08)/NSTDQ08  = SD(mbb2_q08)
  /NData_PQ  = SUM(Data_PQ ) /NMED_PQ  = MEDIAN(Unit_PQ)/NSTD_PQ  = SD(Unit_PQ)
  /NData_OP = SUM(Data_OP) /NMED_OP = MEDIAN(Unit_OP)/NSTD_OP  = SD(Unit_OP).

SORT CASES BY entity (A) gnd (A)  mbb2_q00 (A) muncode (A).
EXECUTE.

save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_Gnd.sav'.
SORT CASES BY entity (A) gnd (A) mbb2_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood2_Gnd.sav'.
get file='c:\bih\tempfood2_SAV.SAV'.

*************************************************************.
*** Merge aggregated files                                ***.
*** Spajanje novonastalih fajlova                         ***.
*************************************************************.

MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood2_Gnd.sav'
 /BY entity gnd mbb2_q00 muncode.

save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_SAV.SAV'

SORT CASES BY entity (A) mbb2_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_Mun.sav'.
SORT CASES BY entity (A) mbb2_q00 (A) muncode (A).
EXECUTE.
save outfile='c:\bih\tempfood2_Mun.sav'.

get file='c:\bih\tempfood2_SAV.SAV'.
MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood2_Mun.sav'
 /BY entity mbb2_q00 muncode .
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_SAV.SAV'.
SORT CASES BY entity (A) mbb2_q00 (A).
EXECUTE.
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_Ent.sav'.
SORT CASES BY
  entity (A)  mbb2_q00(A).
EXECUTE.
save outfile='c:\bih\tempfood2_Ent.sav'.

get file='c:\bih\tempfood2_SAV.SAV'.
MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood2_Ent.sav'
 /BY entity mbb2_q00.
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_SAV.SAV'.
SORT CASES BY mbb2_q00 (A).
EXECUTE.
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_bih.sav'.
SORT CASES BY mbb2_q00(A).
EXECUTE.
save outfile='c:\bih\tempfood2_bih.sav'.

get file='c:\bih\tempfood2_SAV.SAV'.
MATCH FILES /FILE=*
 /TABLE='c:\bih\tempfood2_bih.sav'
 /BY mbb2_q00.
save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_SAV.SAV'.

*****************************************************************************************.
*** Median and stdev adjusting. At least 5 observations  for every median and stdev   ***.
*** Podeavanje mediane i stdev. Svaka mediana i stdev je nainjena od bar 5 podataka ***.
*****************************************************************************************.

IF (GDataQ02 >=5) MEDQ02=GMEDQ02.
IF ((GDataQ02 < 5 | SYSMIS(GDataQ02))& MDataQ02>=5 ) MEDQ02=MMEDQ02.
IF ((GDataQ02 < 5 | SYSMIS(GDataQ02)) & (MDataQ02<5 | SYSMIS(MDataQ02))& EDataQ02>=5) MEDQ02=EMEDQ02.
IF (GDataQ03 >=5) MEDQ03=GMEDQ03.
IF ((GDataQ03 < 5 | SYSMIS(GDataQ03))& MDataQ03>=5 ) MEDQ03=MMEDQ03.
IF ((GDataQ03 < 5 | SYSMIS(GDataQ03)) & (MDataQ03<5 | SYSMIS(MDataQ03))& EDataQ03>=5) MEDQ03=EMEDQ03.
IF (GDataQ04 >=5) MEDQ04=GMEDQ04.
IF ((GDataQ04 < 5 | SYSMIS(GDataQ04))& MDataQ04>=5 ) MEDQ04=MMEDQ04.
IF ((GDataQ04 < 5 | SYSMIS(GDataQ04)) & (MDataQ04<5 | SYSMIS(MDataQ04))& EDataQ04>=5) MEDQ04=EMEDQ04.
IF (GDataQ05 >=5) MEDQ05=GMEDQ05.
IF ((GDataQ05 < 5 | SYSMIS(GDataQ05))& MDataQ05>=5 ) MEDQ05=MMEDQ05.
IF ((GDataQ05 < 5 | SYSMIS(GDataQ05)) & (MDataQ05<5 | SYSMIS(MDataQ05))& EDataQ05>=5) MEDQ05=EMEDQ05.
IF (GDataQ06 >=5) MEDQ06=GMEDQ06.
IF ((GDataQ06 < 5 | SYSMIS(GDataQ06))& MDataQ06>=5 ) MEDQ06=MMEDQ06.
IF ((GDataQ06 < 5 | SYSMIS(GDataQ06)) & (MDataQ06<5 | SYSMIS(MDataQ06))& EDataQ06>=5) MEDQ06=EMEDQ06.
IF (GDataQ07 >=5) MEDQ07=GMEDQ07.
IF ((GDataQ07 < 5 | SYSMIS(GDataQ07))& MDataQ07>=5 ) MEDQ07=MMEDQ07.
IF ((GDataQ07 < 5 | SYSMIS(GDataQ07)) & (MDataQ07<5 | SYSMIS(MDataQ07))& EDataQ07>=5) MEDQ07=EMEDQ07.
IF (GDataQ08 >=5) MEDQ08=GMEDQ08.
IF ((GDataQ08 < 5 | SYSMIS(GDataQ08))& MDataQ08>=5 ) MEDQ08=MMEDQ08.
IF ((GDataQ08 < 5 | SYSMIS(GDataQ08)) & (MDataQ08<5 | SYSMIS(MDataQ08))& EDataQ08>=5) MEDQ08=EMEDQ08.
IF (GData_PQ >=5) MED_PQ=GMED_PQ.
IF ((GData_PQ < 5 | SYSMIS(GData_PQ))& MData_PQ>=5 ) MED_PQ=MMED_PQ.
IF ((GData_PQ < 5 | SYSMIS(GData_PQ)) & (MData_PQ<5 | SYSMIS(MData_PQ))& EData_PQ>=5) MED_PQ=EMED_PQ.
IF (GData_OP >=5) MED_OP=GMED_OP.
IF ((GData_OP < 5 | SYSMIS(GData_OP))& MData_OP>=5 ) MED_OP=MMED_OP.
IF ((GData_OP < 5 | SYSMIS(GData_OP)) & (MData_OP<5 | SYSMIS(MData_OP))& EData_OP>=5) MED_OP=EMED_OP.
EXECUTE.

***********************************************.
*** Heroic decisions  for pickles/other     ***.
*** values for cleaning/quantities          ***. 
*** Herojske Odluke                         ***.
***********************************************.

SORT CASES BY
  entity (A) muncode (A)  gnd (A) numist (A) hid (A) mbb2_q00(A) .
EXECUTE.
IF (mbb2_q00=65 & (DataQ04=1|ProxyQ04=1)) MED_PQ=(LAG(MED_PQ,1)+LAG(MED_PQ,2)+LAG(MED_PQ,3)+LAG(MED_PQ,4)+LAG(MED_PQ,5)+LAG(MED_PQ,6)+LAG(MED_PQ,7)+LAG(MED_PQ,8)+LAG(MED_PQ,9)+LAG(MED_PQ,10)+LAG(MED_PQ,11))/11.
IF (mbb2_q00=65 & (DataQ07=1|ProxyQ07=1)) MED_PQ=(LAG(MED_PQ,1)+LAG(MED_PQ,2)+LAG(MED_PQ,3)+LAG(MED_PQ,4)+LAG(MED_PQ,5)+LAG(MED_PQ,6)+LAG(MED_PQ,7)+LAG(MED_PQ,8)+LAG(MED_PQ,9)+LAG(MED_PQ,10)+LAG(MED_PQ,11))/11.
EXECUTE.

*************************************************************.
*** Missing data fixing                                   ***.
*** Fiksiranje nedostajuih podataka                      ***.
*************************************************************.

IF (DataQ03 =1 & SYSMIS(DataQ04)) mbb2_q04=mbb2_q03*MED_PQ.
IF (DataQ03 =1 & SYSMIS(DataQ04)) DataQ04=1.
IF (DataQ03 =1 & SYSMIS(DataQ04)) Unit_PQ=MED_PQ.
IF (DataQ03 =1 & SYSMIS(DataQ04)) Data_PQ=1.

IF (DataQ04 =1 & SYSMIS(DataQ03)) mbb2_q03=mbb2_q04/MED_PQ.
IF (DataQ04 =1 & SYSMIS(DataQ03)) DataQ03=1.
IF (DataQ04 =1 & SYSMIS(DataQ03)) Unit_PQ=MED_PQ.
IF (DataQ04 =1 & SYSMIS(DataQ03)) Data_PQ=1.

IF (DataQ06 =1 & SYSMIS(DataQ07)) mbb2_q07=mbb2_q06*MED_OP.
IF (DataQ06 =1 & SYSMIS(DataQ07)) DataQ07=1.
IF (DataQ06 =1 & SYSMIS(DataQ07)) Unit_PQ=MED_PQ.
IF (DataQ06 =1 & SYSMIS(DataQ07)) Data_PQ=1.

IF (DataQ07 =1 & SYSMIS(DataQ06)) mbb2_q06=mbb2_q07/MED_OP.
IF (DataQ07 =1 & SYSMIS(DataQ06)) DataQ06=1.
IF (DataQ07 =1 & SYSMIS(DataQ06)) Unit_PQ=MED_PQ.
IF (DataQ07 =1 & SYSMIS(DataQ06)) Data_PQ=1. 

*************************************************************.
*** Don't know no reply data fixing                       ***.
*** Fiksiranje NZ i BO podataka                           ***.
*************************************************************.

IF(ProxyQ03=1 & ProxyQ04=1 ) mbb2_q03=MEDQ03.
IF(ProxyQ03=1 & ProxyQ04=1 ) mbb2_q04=MEDQ04.
IF(ProxyQ03=1 & ProxyQ04=1 ) Unit_PQ=mbb2_q04/mbb2_q03.

IF(ProxyQ06=1 & ProxyQ07=1 ) mbb2_q06=MEDQ06.
IF(ProxyQ06=1 & ProxyQ07=1 ) mbb2_q07=MEDQ07.
IF(ProxyQ06=1 & ProxyQ07=1 ) Unit_PQ=mbb2_q07/mbb2_q06.

IF(ProxyQ02=1) mbb2_q02=MEDQ02.
IF(ProxyQ05=1) mbb2_q05=MEDQ05.
IF(ProxyQ08=1) mbb2_q08=MEDQ08.

*************************************************************.
*** Error control                                         ***.
*** Provjeravanje greaka                                 ***.
*************************************************************.

IF (DataQ02 =1 & (mbb2_q02<=NMEDQ02-6*NSTDQ02 | mbb2_q02>=NMEDQ02+6*NSTDQ02)) ERRQ02=1.
IF (DataQ03 =1 & (mbb2_q03<=NMEDQ03-6*NSTDQ03 | mbb2_q03>=NMEDQ03+6*NSTDQ03)) ERRQ03=1.
IF (DataQ04 =1 & (mbb2_q04<=NMEDQ04-6*NSTDQ04 | mbb2_q04>=NMEDQ04+6*NSTDQ04)) ERRQ04=1.
IF (DataQ05 =1 & (mbb2_q05<=NMEDQ05-6*NSTDQ05 | mbb2_q05>=NMEDQ05+6*NSTDQ05)) ERRQ05=1.
IF (DataQ06 =1 & (mbb2_q06<=NMEDQ06-6*NSTDQ06 | mbb2_q06>=NMEDQ06+6*NSTDQ06)) ERRQ06=1.
IF (DataQ07 =1 & (mbb2_q07<=NMEDQ07-6*NSTDQ07 | mbb2_q07>=NMEDQ07+6*NSTDQ07)) ERRQ07=1.
IF (DataQ08 =1 & (mbb2_q08<=NMEDQ08-6*NSTDQ08 | mbb2_q08>=NMEDQ08+6*NSTDQ08)) ERRQ08=1.
IF (Data_PQ =1 & (unit_PQ<=NMED_PQ-3*NSTD_PQ | unit_PQ>=NMED_PQ+3*NSTD_PQ)) ERR_PQ=1.
IF (Data_OP =1 & (unit_OP<=NMED_OP-3*NSTD_OP | unit_OP>=NMED_OP+3*NSTD_OP)) ERR_OP=1.
EXECUTE.

*************************************************************.
*** Errors Imputation: Purchase                           ***.
*** Imputacija Greaka: Kupovina                          ***.
*************************************************************.

IF(ERRQ03=1 & ERRQ04=1 & ERR_PQ=1) mbb2_q03=MEDQ03.
IF(ERRQ03=1 & ERRQ04=1 & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(ERRQ03=1 & ERRQ04=1 & ERR_PQ=1) mbb2_q04=mbb2_q03*Unit_PQ.

IF(SYSMIS(ERRQ03) & ERRQ04=1 & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(SYSMIS(ERRQ03) & ERRQ04=1 & ERR_PQ=1) mbb2_q04=mbb2_q03*Unit_PQ.

IF(ERRQ03=1 & SYSMIS(ERRQ04) & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(ERRQ03=1 & SYSMIS(ERRQ04) & ERR_PQ=1) mbb2_q03=mbb2_q04/Unit_PQ.

IF(ERRQ03=1 & ERRQ04=1 & SYSMIS(ERR_PQ)) mbb2_q03=MEDQ03.
IF(ERRQ03=1 & ERRQ04=1 & SYSMIS(ERR_PQ)) mbb2_q04=mbb2_q03*Unit_PQ.

IF(SYSMIS(ERRQ03) & SYSMIS(ERRQ04) & ERR_PQ=1) Unit_PQ=MED_PQ.
IF(SYSMIS(ERRQ03) & SYSMIS(ERRQ04) & ERR_PQ=1) mbb2_q04=mbb2_q03*Unit_PQ.


IF(SYSMIS(ERRQ03) & ERRQ04=1 & SYSMIS(ERR_PQ)) mbb2_q04=MEDQ04.
IF(SYSMIS(ERRQ03) & ERRQ04=1 & SYSMIS(ERR_PQ)) mbb2_q03=mbb2_q04/Unit_PQ.

IF(ERRQ03=1 & SYSMIS(ERRQ04) & SYSMIS(ERR_PQ)) mbb2_q03=MEDQ03.
IF(ERRQ03=1 & SYSMIS(ERRQ04) & SYSMIS(ERR_PQ)) mbb2_q04=mbb2_q03*Unit_PQ.

EXECUTE.

*************************************************************.
*** Errors Imputation: Own production                     ***.
*** Imputacija Greaka: Vlastita proivodnja               ***.
*************************************************************.

IF(ERRQ06=1 & ERRQ07=1 & ERR_OP=1) mbb2_q06=MEDQ06.
IF(ERRQ06=1 & ERRQ07=1 & ERR_OP=1) Unit_OP=MED_OP.
IF(ERRQ06=1 & ERRQ07=1 & ERR_OP=1) mbb2_q07=mbb2_q06*Unit_OP.

IF(SYSMIS(ERRQ06) & ERRQ07=1 & ERR_OP=1) Unit_OP=MED_OP.
IF(SYSMIS(ERRQ06) & ERRQ07=1 & ERR_OP=1) mbb2_q07=mbb2_q06*Unit_OP.

IF(ERRQ06=1 & SYSMIS(ERRQ07) & ERR_OP=1) Unit_OP=MED_OP.
IF(ERRQ06=1 & SYSMIS(ERRQ07) & ERR_OP=1) mbb2_q06=mbb2_q07/Unit_OP.

IF(ERRQ06=1 & ERRQ07=1 & SYSMIS(ERR_OP)) mbb2_q06=MEDQ06.
IF(ERRQ06=1 & ERRQ07=1 & SYSMIS(ERR_OP)) mbb2_q07=mbb2_q06*Unit_OP.

IF(SYSMIS(ERRQ06) & SYSMIS(ERRQ07) & ERR_OP=1) Unit_OP=MED_OP.
IF(SYSMIS(ERRQ06) & SYSMIS(ERRQ07) & ERR_OP=1) mbb2_q07=mbb2_q06*Unit_OP.

IF(SYSMIS(ERRQ06) & ERRQ07=1 & SYSMIS(ERR_OP)) mbb2_q07=MEDQ07.
IF(SYSMIS(ERRQ06) & ERRQ07=1 & SYSMIS(ERR_OP)) mbb2_q06=mbb2_q07/Unit_OP.

IF(ERRQ06=1 & SYSMIS(ERRQ07) & SYSMIS(ERR_OP)) mbb2_q06=MEDQ06.
IF(ERRQ06=1 & SYSMIS(ERRQ07) & SYSMIS(ERR_OP)) mbb2_q07=mbb2_q06*Unit_OP.
EXECUTE.

*************************************************************.
*** Errors Imputation: Months                             ***.
*** Imputacija Greaka: Mjeseci                           ***.
*************************************************************.

IF(ERRQ02=1) mbb2_q02=MEDQ02.
IF(ERRQ05=1) mbb2_q05=MEDQ05.

*************************************************************.
*** Errors Imputation: Gifts                              ***.
*** Imputacija Greaka: Pokloni                           ***.
*************************************************************.

IF(ERRQ08=1) mbb2_q08=MEDQ08.

save outfile='c:\bih\tempfood2_SAV.SAV'.

get file='c:\bih\tempfood2_SAV.SAV'.

COMPUTE YearAMPQ=mbb2_q04*mbb2_q02.
COMPUTE YearAMOP=mbb2_q07*mbb2_q05.
COMPUTE YearQTPQ=mbb2_q03*mbb2_q02.
COMPUTE YearQTOP=mbb2_q06*mbb2_q05.
COMPUTE YearQTGI=mbb2_q08/Unit_PQ.
EXECUTE.

save outfile='c:\bih\tempfood2_SAV.SAV'.

AGGREGATE
  /OUTFILE='c:\bih\tempfood2_HH.sav'
  /BREAK=entity muncode gnd numist hid  
  /TotAMQ04 = SUM(YearAMPQ) 
  /TotAMQ07 = SUM(YearAMOP) 
  /TotAMQ08 = SUM(mbb2_q08) 
  /TotQTQ03 = SUM(YearQTPQ) 
  /TotQTQ06 = SUM(YearQTOP) 
  /TotQTQ08 = SUM(YearQTGI) .
EXECUTE.

get file='c:\bih\tempfood2_HH.sav'.

IF (SYSMIS(TotAMQ04)) TotAMQ04 =0.
IF (SYSMIS(TotAMQ07)) TotAMQ07 =0.
IF (SYSMIS(TotAMQ08)) TotAMQ08 =0.
IF (SYSMIS(TotQTQ03)) TotQTQ03 =0.
IF (SYSMIS(TotQTQ06)) TotQTQ06 =0.
IF (SYSMIS(TotQTQ08)) TotQTQ08 =0.
EXECUTE .
COMPUTE TotConB2 =  TotAMQ04 + TotAMQ07 + TotAMQ08.
COMPUTE TotQteB2 =  TotQTQ03 + TotQTQ06 + TotQTQ08.
EXECUTE .

save outfile='c:\bih\tempfood2_HH.sav'.

******************************************************************************.
*** Production of Total Amount and Total Quantiy file for M11 part B       ***.
*** Kreiranje fajla sa totalnom potronjom (KM) i koliinama za M11 dio B  ***.
******************************************************************************.

get file='c:\bih\tempfood1_SAV.SAV'
/keep mbb1_q00 to muncode unit_pq unit_op qte_q06.
IF (SYSMIS(mbb1_q02)) mbb1_q02=0.
IF (SYSMIS(mbb1_q03)) mbb1_q03=0.
IF (SYSMIS(mbb1_q04)) mbb1_q04=0.
IF (SYSMIS(mbb1_q05)) mbb1_q05=0.
IF (SYSMIS(mbb1_q06)) mbb1_q06=0.
IF (SYSMIS(qte_q06)) qte_q06=0.
EXECUTE .

missing values mbb1_q02 to mbb1_q06 qte_q06 ().

COMPUTE TotHHCon = (12 * mbb1_q03) + mbb1_q05 + mbb1_q06.
EXECUTE .
COMPUTE TotHHQte = (12*mbb1_q02) + mbb1_q04 + qte_q06.
EXECUTE .
compute unitvalu=tothhcon/tothhqte.

save outfile='c:\bih\tempfood1_AUX.SAV'
/keep mbb1_q00 entity to muncode unit_pq unit_op TotHHCon TotHHQte unitvalu
/rename (mbb1_q00=mbb_code).

get file='c:\bih\tempfood2_SAV.SAV'
/keep mbb2_q00 to muncode unit_pq unit_op yearampq to yearqtgi.

IF (SYSMIS(YearAMPQ)) YearAMPQ=0.
IF (SYSMIS(YearAMOP)) YearAMOP=0.
IF (SYSMIS(mbb2_q08)) mbb2_q08=0.
IF (SYSMIS(YearQTPQ)) YearQTPQ=0.
IF (SYSMIS(YearQTOP)) YearQTOP=0.
IF (SYSMIS(YearQTGI)) YearQTGI=0.
EXECUTE .
missing values mbb2_q08 yearampq to yearqtgi().

COMPUTE TotHHCon=YearAMPQ+YearAMOP+mbb2_q08.
COMPUTE TotHHQte=YearQTPQ+YearQTOP+YearQTGI.

compute unitvalu=tothhcon/tothhqte.

EXECUTE.

save outfile='c:\bih\tempfood2_AUX.SAV'
/keep mbb2_q00 entity to muncode unit_pq unit_op TotHHCon TotHHQte unitvalu
/rename (mbb2_q00=mbb_code).

get file='c:\bih\tempfood1_AUX.SAV'.
ADD FILES /FILE=*
 /FILE='c:\bih\tempfood2_AUX.SAV'.
EXECUTE.
save outfile='c:\bih\food_all.SAV'.

get file='c:\bih\food_all.SAV'.
sort cases by muncode gnd numist hid.

AGGREGATE
  /OUTFILE='c:\bih\food.sav'
  /BREAK=muncode gnd numist hid  
  /TotFoodc = SUM(tothhcon). 

get file='C:\bih\food.sav'.
freq /var totfoodc /format notable /statistics default median.

