*****************************************************.
***BiH 2001, LSMS, Country Level Data             ***.
***                                               ***.
*** Program file UTILITY sps                      ***.
*** Uses data file C:\BIH\M2_AB sav               ***.
*** Output file C:\BIH\UTILITY sav                ***.
***                                               ***.
*** For the consumption aggregate                 ***.
*** Creates annual expenditures on Utilities      ***.
*****************************************************.

*****************************************************.
*** get file and keep only variables on utilities ***.
*** Izdvajanje pitanja o troskovima za komunalije ***.
*****************************************************.

get file ='C:\bih\M2_AB.sav' 
 /keep muncode gnd numist hid entity m2_q10 m2_q12 m2_q21 m2_q39a m2_q39b
  m2_q39c m2_q39d m2_q39e m2_q39f m2_q39g m2_q39h m2_q39i
  m2_q39j m2_q40a1 m2_q40a2 m2_q40b1 m2_q40b2 m2_q40c1 m2_q40c2 m2_q40d1
  m2_q40d2 m2_q40e1 m2_q40e2 m2_q40f m2_q40g.

*******************************************************.
*** Identify questions with Do not Know (DK) or with***.
***   No Response (NR)                              ***.
*** Identifikacija pitanja-NZ i BO                  ***.
*******************************************************.

temporary.
select if (m2_q39a eq 0 | m2_q39a ge 77).
freq /var m2_q39a.

IF (m2_q39a  >= 77) test39a = 1 .
variable labels test39a 'NZ i BO za pitanje m2_q39a' .

temporary.
select if (m2_q39b eq 0 | m2_q39b ge 77777).
freq /var m2_q39b.

IF ((m2_q10 = 1 and (m2_q39b = 0 or m2_q39b  >= 77777))
 or (m2_q10 >1 and m2_q39b  >= 77777)) test39b = 1 .
variable labels test39b 'NZ i BO za pitanje m2_q39b' .

temporary.
select if (m2_q39c eq 0 | m2_q39c ge 777).
freq /var m2_q39c.

IF (m2_q39c  >= 777) test39c = 1 .
variable labels test39c 'NZ i BO za pitanje m2_q39c' .

temporary.
select if (m2_q39d eq 0 | m2_q39d ge 777).
freq /var m2_q39d.

IF (m2_q39d  >= 777) test39d = 1 .
variable labels test39d 'NZ i BO za pitanje m2_q39d' .

temporary.
select if (m2_q39e eq 0 | m2_q39e ge 77777).
freq /var m2_q39e.

IF (m2_q39e  >= 77777) test39e = 1 .
variable labels test39e 'NZ i BO za pitanje m2_q39e' .

temporary.
select if (m2_q39f eq 0 | m2_q39f ge 777).
freq /var m2_q39f.

IF (m2_q39f  >= 777) test39f = 1 .
variable labels test39f 'NZ i BO za pitanje m2_q39f' .

temporary.
select if (m2_q39g eq 0 | m2_q39g ge 7777).
freq /var m2_q39g.

IF ((m2_q21 = 1 and (m2_q39g = 0 or m2_q39g  >= 7777))
 or (m2_q21 >1 and m2_q39g  >= 7777)) test39g = 1 .
variable labels test39g 'NZ i BO za pitanje m2_q39g' .

temporary.
select if (m2_q39h eq 0 | m2_q39h ge 777).
freq /var m2_q39h.

IF (m2_q39h  >= 777) test39h = 1 .
variable labels test39h 'NZ i BO za pitanje m2_q39h' .

temporary.
select if (m2_q39i eq 0 | m2_q39i ge 77777).
freq /var m2_q39i.

IF (m2_q39i  >= 77777) test39i = 1 .
variable labels test39i 'NZ i BO za pitanje m2_q39i' .

temporary.
select if (m2_q39j eq 0 | m2_q39j ge 77777).
freq /var m2_q39j.

IF (m2_q39j  >= 77777) test39j = 1 .
variable labels test39j 'NZ i BO za pitanje m2_q39j' .

*********************************************************.
*** Identify hhlds where all responses are Do not know***.
***     or No Response                                ***.
*** Identifikovanje dom. sa svim odgovorima NZ i BO   ***.
*********************************************************.

IF (test39a = 1 & test39b = 1 & test39e = 1 & test39f = 1 & test39g = 1 &
  test39h = 1 & test39i = 1 & test39j = 1) probl39 = 1 .
variable lables probl39 'Svi odgovori su NZ i BO' .

CROSSTABS
  /TABLES=muncode BY probl39
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

**********************************************************.
*** Analyze question m2_q40                            ***.
*** Analiza pitanja m2_q40                             ***.
**********************************************************.

*********************************************************.
*** Recode 800 to 888                                 ***.
*** Prebacivanje 800 u 888                            ***.
*********************************************************.

if (m2_q40d1 = 800) m2_q40d1=888.
if (m2_q40d2 = 800) m2_q40d2=888.

********************************************************.
*** Identify Do Not Know and No Response (DK, NR)    ***.
*** Identifikacija NZ i BO                           ***.
********************************************************.

temporary.
select if (m2_q40a1 eq 0 | m2_q40a1 ge 777).
freq /var m2_q40a1.

IF (m2_q40a1  >= 777) test40a1 = 1 .
variable labels test40a1 'NZ i BO za pitanje m2_q40a1' .

temporary.
select if (m2_q40a2 eq 0 | m2_q40a2 ge 777).
freq /var m2_q40a2.

IF (m2_q40a2  >= 777) test40a2 = 1 .
variable labels test40a2 'NZ i BO za pitanje m2_q40a2' .

temporary.
select if (m2_q40b1 eq 0 | m2_q40b1 ge 777).
freq /var m2_q40b1.

IF (m2_q40b1  >= 777) test40b1 = 1 .
variable labels test40b1 'NZ i BO za pitanje m2_q40b1' .

temporary.
select if (m2_q40b2 eq 0 | m2_q40b2 ge 777).
freq /var m2_q40b2.

IF (m2_q40b2  >= 777) test40b2 = 1 .
variable labels test40b2 'NZ i BO za pitanje m2_q40b2' .

temporary.
select if (m2_q40c1 eq 0 | m2_q40c1 ge 777).
freq /var m2_q40c1.

IF (m2_q40c1  >= 777) test40c1 = 1 .
variable labels test40c1 'NZ i BO za pitanje m2_q40c1' .

temporary.
select if (m2_q40c2 eq 0 | m2_q40c2 ge 777).
freq /var m2_q40c2.

IF (m2_q40c2  >= 777) test40c2 = 1 .
variable labels test40c2 'NZ i BO za pitanje m2_q40c2' .

temporary.
select if (m2_q40d1 eq 0 | m2_q40d1 ge 777).
freq /var m2_q40d1.

if (m2_q40d1  >= 777) test40d1 = 1 .
variable labels test40d1 'NZ i BO za pitanje m2_q40d1' .

temporary.
select if (m2_q40d2 eq 0 | m2_q40d2 ge 777).
freq /var m2_q40d2.

if (m2_q40d2  >= 777) test40d2 = 1 .
variable labels test40d2 'NZ i BO za pitanje m2_q40d2' .

temporary.
select if (m2_q40e1 eq 0 | m2_q40e1 ge 777).
freq /var m2_q40e1.

IF ((m2_q12 = 1 or m2_q12 = 2 and (m2_q40e1= 0 or m2_q40e1 >= 777))
 or (m2_q12 >2 and m2_q40e1 >= 777)) test40e1 = 1.
variable labels test40e1 'NZ i BO za pitanje m2_q40e1'.

temporary.
select if (m2_q40e2 eq 0 | m2_q40e2 ge 777).
freq /var m2_q40e2.

if ((m2_q12 = 1 or m2_q12 = 2 and (m2_q40e2= 0 or m2_q40e2  >= 777))
 or (m2_q12 >2 and m2_q40e2  >= 777)) test40e2 = 1 .
variable labels test40e2 'NZ i BO za pitanje m2_q40e2' .

temporary.
select if (m2_q40f eq 0 | m2_q40f ge 777).
freq /var m2_q40f.

IF ((m2_q10 = 1and (m2_q40f=0 or m2_q40f  >= 777))
 or (m2_q10 >1and m2_q40f  >= 777)) test40f = 1 .
variable labels test40f 'NZ i BO za pitanje m2_q40f' .

temporary.
select if (m2_q40g eq 0 | m2_q40g ge 777).
freq /var m2_q40g.

IF (m2_q40g  >= 777) test40g = 1 .
variable labels test40g 'NZ i BO za pitanje m2_q40g' .

**********************************************************.
*** Identify households where all responses DK or NR   ***.
*** Identifikacija dom. sa svim odgovorima NZ i BO     ***.
*********************************************************.

IF (test40c2 = 1 & test40d1 = 1 & test40d2 = 1 & test40e1 = 1 & test40e2 = 1 &
  test40f = 1) probl40 = 1 .
variable labels probl40 'Svi odgovori su NZ i BO' .

CROSSTABS
  /TABLES=muncode  BY probl40
  /FORMAT= AVALUE TABLES
  /CELLS= COUNT .

*******************************************************.
*** Brojanje domacinstava koja imaju troskove       ***.
*******************************************************.
 
compute flag39a =0.
if (m2_q39a > 0 and m2_q39a <77) flag39a =1.
variable labels flag39a 'Broj validnih slucajeva q39a' .

compute flag39b =0.
if (m2_q39b > 0 and m2_q39b <77777) flag39b =1.
variable labels flag39b 'Broj validnih slucajeva q39b' .

compute flag39c =0.
if (m2_q39c > 0 ) flag39c =1.
variable lables flag39c 'Broj validnih slucajeva q39c' .

compute flag39d =0.
if (m2_q39d > 0) flag39d =1.
variable labels flag39d 'Broj validnih slucajeva q39d' .

compute flag39e =0.
if (m2_q39e > 0 and m2_q39e <77777) flag39e =1.
variable labels flag39e 'Broj validnih slucajeva q39e' .

compute flag39f =0.
if (m2_q39f > 0 and m2_q39f <777) flag39f =1.
variable labels flag39f 'Broj validnih slucajeva q39f' .

compute flag39g =0.
if (m2_q39g > 0 and m2_q39g <7777) flag39g =1.
variable labels flag39g 'Broj validnih slucajeva q39g' .

compute flag39h =0.
if (m2_q39h > 0 and m2_q39h <777) flag39h =1.
variable labels flag39h 'Broj validnih slucajeva q39h' .

compute flag39i =0.
if (m2_q39i > 0 and m2_q39i <77777) flag39i =1.
variable labels flag39i 'Broj validnih slucajeva q39i' .

compute flag39j =0.
if (m2_q39j > 0 and m2_q39j <77777) flag39j =1.
variable labels flag39j 'Broj validnih slucajeva q39j' .

****************************************************.
*** Identifikovanje dom. koja imaju troskove     ***.
****************************************************.

compute flag40a1 =0.
if (m2_q40a1 > 0) flag40a1 =1.
variable labels flag40a1 'Broj validnih slucajeva q40a1' .
compute flag40a2 =0.
if (m2_q40a2 > 0) flag40a2 =1.
variable labels flag40a2 'Broj validnih slucajeva q40a2' .

compute flag40b1 =0.
if (m2_q40b1 > 0 ) flag40b1 =1.
variable labels flag40b1 'Broj validnih slucajeva q40b1' .

compute flag40b2 =0.
if (m2_q40b2 > 0) flag40b2 =1.
variable labels flag40b2 'Broj validnih slucajeva q40b2' .

compute flag40c1 =0.
if (m2_q40c1 > 0) flag40c1 =1.
variable labels flag40c1 'Broj validnih slucajeva q40c1' .

compute flag40c2 =0.
if (m2_q40c2 > 0 and m2_q40c2 <777) flag40c2 =1.
variable labels flag40c2 'Broj validnih slucajeva q40c2' .

compute flag40d1 =0.
if (m2_q40d1 > 0 and m2_q40d1 <777) flag40d1 =1.
variable labels flag40d1 'Broj validnih slucajeva q40d1' .

compute flag40d2 =0.
if (m2_q40d2 > 0 and m2_q40d2 <777) flag40d2 =1.
variable labels flag40d2 'Broj validnih slucajeva q40d2' .

compute flag40e1 =0.
if (m2_q40e1 > 0 and m2_q40e1 <777) flag40e1 =1.
variable labels flag40e1 'Broj validnih slucajeva q40e1' .

compute flag40e2 =0.
if (m2_q40e2 > 0 and m2_q40e2 <777) flag40e2 =1.
variable labels flag40e2 'Broj validnih slucajeva q40e2' .

compute flag40f =0.
if (m2_q40f > 0 and m2_q40f <777) flag40f =1.
variable labels flag40f 'Broj validnih slucajeva q40f' .

compute flag40g =0.
if (m2_q40g > 0 ) flag40g =1.
variable labels flag40g 'Broj validnih slucajeva q40g' .

*********************************************************.
*** Create medians and standard deviations, first at  ***.
***   municipality level then at GND level, then at   ***.
***   country level                                   ***.
*** Racunanje mediane i sd za q39 i q40               ***.
*********************************************************.

missing values m2_q39a (77.00 thru highest).
missing values m2_q39b (0, 77777.00 thru highest).
missing values m2_q39c to m2_q39e (77777.00 thru highest).
missing values m2_q39f (777.00 thru highest).
missing values m2_q39g (0, 7777.00 thru highest).
missing values m2_q39h (777.00 thru highest).
missing values m2_q39i to m2_q39j (77777.00 thru highest).
missing values m2_q40a1 to m2_q40d2 (777.00 thru highest).
missing values m2_q40e1 to m2_q40e2 (0, 777.00 thru highest).
missing values m2_q40f (0, 777.00 thru highest).
missing values m2_q40g (777.00 thru highest).

AGGREGATE
  /OUTFILE='C:\bih\GMedutil.sav'
  /BREAK= muncode gnd
  /gmed39a = MEDIAN(m2_q39a) /gmed39b = MEDIAN(m2_q39b)
  /gmed39c = MEDIAN(m2_q39c) /gmed39d = MEDIAN(m2_q39d)
  /gmed39e = MEDIAN(m2_q39e) /gmed39f = MEDIAN(m2_q39f)
  /gmed39g = MEDIAN(m2_q39g) /gmed39h = MEDIAN(m2_q39h)
  /gmed39i = MEDIAN(m2_q39i) /gmed39j = MEDIAN(m2_q39j)
  /gmed40a1 = MEDIAN(m2_q40a1) /gmed40a2 = MEDIAN(m2_q40a2)
  /gmed40b1 = MEDIAN(m2_q40b1) /gmed40b2 = MEDIAN(m2_q40b2)
  /gmed40c1 = MEDIAN(m2_q40c1) /gmed40c2 = MEDIAN(m2_q40c2)
  /gmed40d1 = MEDIAN(m2_q40d1) /gmed40d2 = MEDIAN(m2_q40d2)
  /gmed40e1 = MEDIAN(m2_q40e1) /gmed40e2 = MEDIAN(m2_q40e2)
  /gmed40f = MEDIAN(m2_q40f) /gmed40g = MEDIAN(m2_q40g) 
  /gfl39a = SUM(flag39a) /gfl39b = SUM(flag39b) /gfl39c = SUM(flag39c)
  /gfl39d = SUM(flag39d) /gfl39e = SUM(flag39e) /gfl39f = SUM(flag39f)
  /gfl39g = SUM(flag39g) /gfl39h = SUM(flag39h) /gfl39i = SUM(flag39i)
  /gfl39j = SUM(flag39j) /gfl40a1 = SUM(flag40a1) /gfl40a2 = SUM(flag40a2)
  /gfl40b1 = SUM(flag40b1) /gfl40b2 = SUM(flag40b2) /gfl40c1 = SUM(flag40c1)
  /gfl40c2 = SUM(flag40c2) /gfl40d1 = SUM(flag40d1) /gfl40d2 = SUM(flag40d2)
  /gfl40e1 = SUM(flag40e1) /gfl40e2 = SUM(flag40e2) /gfl40f = SUM(flag40f)
  /gfl40g = SUM(flag40g).

AGGREGATE
  /OUTFILE='C:\bih\mmedutil.sav'
  /BREAK=muncode
  /med39a = MEDIAN(m2_q39a) /med39b = MEDIAN(m2_q39b) /med39c = MEDIAN(m2_q39c)
  /med39d = MEDIAN(m2_q39d) /med39e = MEDIAN(m2_q39e) /med39f = MEDIAN(m2_q39f)
  /med39g = MEDIAN(m2_q39g) /med39h = MEDIAN(m2_q39h) /med39i = MEDIAN(m2_q39i)
  /med39j = MEDIAN(m2_q39j) /med40a1 = MEDIAN(m2_q40a1) /med40a2 = MEDIAN(m2_q40a2)
  /med40b1 = MEDIAN(m2_q40b1) /med40b2 = MEDIAN(m2_q40b2) /med40c1 = MEDIAN(m2_q40c1)
  /med40c2 = MEDIAN(m2_q40c2) /med40d1 = MEDIAN(m2_q40d1) /med40d2 = MEDIAN(m2_q40d2)
  /med40e1 = MEDIAN(m2_q40e1) /med40e2 = MEDIAN(m2_q40e2) /med40f = MEDIAN(m2_q40f)
  /med40g = MEDIAN(m2_q40g) 
  /fl39a = SUM(flag39a) /fl39b = SUM(flag39b) /fl39c = SUM(flag39c)
  /fl39d = SUM(flag39d) /fl39e = SUM(flag39e) /fl39f = SUM(flag39f)
  /fl39g = SUM(flag39g) /fl39h = SUM(flag39h) /fl39i = SUM(flag39i)
  /fl39j = SUM(flag39j) /fl40a1 = SUM(flag40a1) /fl40a2 = SUM(flag40a2)
  /fl40b1 = SUM(flag40b1) /fl40b2 = SUM(flag40b2) /fl40c1 = SUM(flag40c1)
  /fl40c2 = SUM(flag40c2) /fl40d1 = SUM(flag40d1) /fl40d2 = SUM(flag40d2)
  /fl40e1 = SUM(flag40e1) /fl40e2 = SUM(flag40e2) /fl40f = SUM(flag40f)
  /fl40g = SUM(flag40g).

AGGREGATE
  /OUTFILE='C:\bih\EMedutil.sav'
  /BREAK=entity
  /emed39a = MEDIAN(m2_q39a) /emed39b = MEDIAN(m2_q39b) /emed39c = MEDIAN(m2_q39c)
  /emed39d = MEDIAN(m2_q39d) /emed39e = MEDIAN(m2_q39e) /emed39f = MEDIAN(m2_q39f)
  /emed39g = MEDIAN(m2_q39g) /emed39h = MEDIAN(m2_q39h) /emed39i = MEDIAN(m2_q39i)
  /emed39j = MEDIAN(m2_q39j) /emed40a1 = MEDIAN(m2_q40a1) /emed40a2 = MEDIAN(m2_q40a2)
  /emed40b1 = MEDIAN(m2_q40b1) /emed40b2 = MEDIAN(m2_q40b2) /emed40c1 = MEDIAN(m2_q40c1)
  /emed40c2 = MEDIAN(m2_q40c2) /emed40d1 = MEDIAN(m2_q40d1) /emed40d2 = MEDIAN(m2_q40d2)
  /emed40e1 = MEDIAN(m2_q40e1) /emed40e2 = MEDIAN(m2_q40e2) /emed40f = MEDIAN(m2_q40f)
  /emed40g = MEDIAN(m2_q40g)
  /efl39a = SUM(flag39a) /efl39b = SUM(flag39b) /efl39c = SUM(flag39c)
  /efl39d = SUM(flag39d) /efl39e = SUM(flag39e) /efl39f = SUM(flag39f)
  /efl39g = SUM(flag39g) /efl39h = SUM(flag39h) /efl39i = SUM(flag39i)
  /efl39j = SUM(flag39j) /efl40a1 = SUM(flag40a1) /efl40a2 = SUM(flag40a2)
  /efl40b1 = SUM(flag40b1) /efl40b2 = SUM(flag40b2) /efl40c1 = SUM(flag40c1)
  /efl40c2 = SUM(flag40c2) /efl40d1 = SUM(flag40d1) /efl40d2 = SUM(flag40d2)
  /efl40e1 = SUM(flag40e1) /efl40e2 = SUM(flag40e2) /efl40f = SUM(flag40f)
  /efl40g = SUM(flag40g).

compute bih=1.

AGGREGATE
  /OUTFILE='C:\bih\BMedutil.sav'
  /BREAK=bih
  /bmed39a = MEDIAN(m2_q39a) /bmed39b = MEDIAN(m2_q39b) /bmed39c = MEDIAN(m2_q39c)
  /bmed39d = MEDIAN(m2_q39d) /bmed39e = MEDIAN(m2_q39e) /bmed39f = MEDIAN(m2_q39f)
  /bmed39g = MEDIAN(m2_q39g) /bmed39h = MEDIAN(m2_q39h) /bmed39i = MEDIAN(m2_q39i)
  /bmed39j = MEDIAN(m2_q39j) /bmed40a1 = MEDIAN(m2_q40a1) /bmed40a2 = MEDIAN(m2_q40a2)
  /bmed40b1 = MEDIAN(m2_q40b1) /bmed40b2 = MEDIAN(m2_q40b2) /bmed40c1 = MEDIAN(m2_q40c1)
  /bmed40c2 = MEDIAN(m2_q40c2) /bmed40d1 = MEDIAN(m2_q40d1) /bmed40d2 = MEDIAN(m2_q40d2)
  /bmed40e1 = MEDIAN(m2_q40e1) /bmed40e2 = MEDIAN(m2_q40e2) /bmed40f = MEDIAN(m2_q40f)
  /bmed40g = MEDIAN(m2_q40g) 
  /bsd39a = SD(m2_q39a) /bsd39b = SD(m2_q39b) /bsd39c = SD(m2_q39c)
  /bsd39d = SD(m2_q39d) /bsd39e = SD(m2_q39e) /bsd39f = SD(m2_q39f)
  /bsd39g = SD(m2_q39g) /bsd39h = SD(m2_q39h) /bsd39i = SD(m2_q39i)
  /bsd39j = SD(m2_q39j) /bsd40a1 = SD(m2_q40a1) /bsd40a2 = SD(m2_q40a2)
  /bsd40b1 = SD(m2_q40b1) /bsd40b2 = SD(m2_q40b2) /bsd40c1 = SD(m2_q40c1)
  /bsd40c2 = SD(m2_q40c2) /bsd40d1 = SD(m2_q40d1) /bsd40d2 = SD(m2_q40d2)
  /bsd40e1 = SD(m2_q40e1) /bsd40e2 = SD(m2_q40e2) /bsd40f = SD(m2_q40f)
  /bsd40g = SD(m2_q40g).

sort cases by muncode gnd.

MATCH FILES /FILE=*
 /TABLE='C:\bih\GMedutil.sav'
 /BY muncode gnd.

sort cases by muncode.

MATCH FILES /FILE=*
 /TABLE='C:\bih\MMedutil.sav'
 /BY muncode.

sort cases by entity.

MATCH FILES /FILE=*
 /TABLE='C:\bih\EMedutil.sav' /BY entity.

sort cases by bih.

MATCH FILES /FILE=*
 /TABLE='C:\bih\BMedutil.sav'
 /BY bih.

************************************************************.
***                                                      ***.
*** Zamjena nedostajucih vrijednosti Med i Sd sa 0       ***.
************************************************************.

if sysmis (med39a) med39a = 0.
if sysmis (med39b) med39b = 0.
if sysmis (med39c) med39c = 0.
if sysmis (med39d) med39d = 0.
if sysmis (med39e) med39e = 0.
if sysmis (med39f) med39f = 0.
if sysmis (med39g) med39g = 0.
if sysmis (med39h) med39h = 0.
if sysmis (med39i) med39i = 0.
if sysmis (med39j) med39j = 0.

if sysmis (med40a1) med40a1 = 0.
if sysmis (med40a2) med40a2 = 0.
if sysmis (med40b1) med40b1 = 0.
if sysmis (med40b2) med40b2 = 0.
if sysmis (med40c1) med40c1 = 0.
if sysmis (med40c2) med40c2 = 0.
if sysmis (med40d1) med40d1 = 0.
if sysmis (med40d2) med40d2 = 0.
if sysmis (med40e1) med40e1 = 0.
if sysmis (med40e2) med40e2 = 0.
if sysmis (med40f) med40f = 0.
if sysmis (med40g) med40g = 0.

************************************************************.
***                                                      ***.
*** Zamjena nedostajucih vrijednosti Med i Sd sa 0       ***.
************************************************************.

if sysmis (gmed39a) gmed39a = 0.
if sysmis (gmed39b) gmed39b = 0.
if sysmis (gmed39c) gmed39c = 0.
if sysmis (gmed39d) gmed39d = 0.
if sysmis (gmed39e) gmed39e = 0.
if sysmis (gmed39f) gmed39f = 0.
if sysmis (gmed39g) gmed39g = 0.
if sysmis (gmed39h) gmed39h = 0.
if sysmis (gmed39i) gmed39i = 0.
if sysmis (gmed39j) gmed39j = 0.

if sysmis (gmed40a1) gmed40a1 = 0.
if sysmis (gmed40a2) gmed40a2 = 0.
if sysmis (gmed40b1) gmed40b1 = 0.
if sysmis (gmed40b2) gmed40b2 = 0.
if sysmis (gmed40c1) gmed40c1 = 0.
if sysmis (gmed40c2) gmed40c2 = 0.
if sysmis (gmed40d1) gmed40d1 = 0.
if sysmis (gmed40d2) gmed40d2 = 0.
if sysmis (gmed40e1) gmed40e1 = 0.
if sysmis (gmed40e2) gmed40e2 = 0.
if sysmis (gmed40f) gmed40f = 0.
if sysmis (gmed40g) gmed40g = 0.

missing values m2_q39a ().
missing values m2_q39b to m2_q39e ().
missing values m2_q39f ().
missing values m2_q39g ().
missing values m2_q39h ().
missing values m2_q39i ().
missing values m2_q39j ().
missing values m2_q40a1 to m2_q40g ().

*********************************************************.
*** Questions m2_q39 and m2_q40                       ***.
*** Pitanja m2_q39 i pitanja M2_q40                   ***.
*********************************************************.

compute amed39a = bmed39a.
if (gfl39a >= 5 ) amed39a = gmed39a.
if (gfl39a < 5 and fl39a >= 5) amed39a = med39a.
if (gfl39a < 5 and fl39a < 5 and efl39a >= 5) amed39a = emed39a.

compute amed39b = bmed39b.
if (gfl39b >= 5 ) amed39b = gmed39b.
if (gfl39b < 5 and fl39b >= 5) amed39b = med39b.
if (gfl39b < 5 and fl39b < 5 and efl39b >= 5) amed39b = emed39b.

compute amed39c = bmed39c.
if (gfl39c >= 5 ) amed39c = gmed39c.
if (gfl39c < 5 and fl39c >= 5) amed39c = med39c.
if (gfl39c < 5 and fl39c < 5 and efl39c >= 5) amed39c = emed39c.

compute amed39d = bmed39d.
if (gfl39d >= 5 ) amed39d = gmed39d.
if (gfl39d < 5 and fl39d >= 5) amed39d = med39d.
if (gfl39d < 5 and fl39d < 5 and efl39d >= 5) amed39d = emed39d.

compute amed39e = bmed39e.
if (gfl39e >= 5 ) amed39e = gmed39e.
if (gfl39e < 5 and fl39e >= 5) amed39e = med39e.
if (gfl39e < 5 and fl39e < 5 and efl39e >= 5) amed39e = emed39e.

compute amed39f = bmed39f.
if (gfl39f >= 5 ) amed39f = gmed39f.
if (gfl39f < 5 and fl39f >= 5) amed39f = med39f.
if (gfl39f < 5 and fl39f < 5 and efl39f >= 5) amed39f = emed39f.

compute amed39g = bmed39g.
if (gfl39g >= 5 ) amed39g = gmed39g.
if (gfl39g < 5 and fl39g >= 5) amed39g = med39g.
if (gfl39g < 5 and fl39g < 5 and efl39g >= 5) amed39g = emed39g.

compute amed39h = bmed39h.
if (gfl39h >= 5 ) amed39h = gmed39h.
if (gfl39h < 5 and fl39h >= 5) amed39h = med39h.
if (gfl39h < 5 and fl39h < 5 and efl39h >= 5) amed39h = emed39h.

compute amed39i = bmed39i.
if (gfl39i >= 5 ) amed39i = gmed39i.
if (gfl39i < 5 and fl39i >= 5) amed39i = med39i.
if (gfl39i < 5 and fl39i < 5 and efl39i >= 5) amed39i = emed39i.

compute amed39j = bmed39j.
if (gfl39j >= 5 ) amed39j = gmed39j.
if (gfl39j < 5 and fl39j >= 5) amed39j = med39j.
if (gfl39j < 5 and fl39j < 5 and efl39j >= 5) amed39j = emed39j.

compute amed40a1 = bmed40a1.
if (gfl40a1 >= 5 ) amed40a1 = gmed40a1.
if (gfl40a1 < 5 and fl40a1 >= 5) amed40a1 = med40a1.
if (gfl40a1 < 5 and fl40a1 < 5 and efl40a1 >= 5) amed40a1 = emed40a1.

compute amed40a2 = bmed40a2.
if (gfl40a2 >= 5 ) amed40a2 = gmed40a2.
if (gfl40a2 < 5 and fl40a2 >= 5) amed40a2 = med40a2.
if (gfl40a2 < 5 and fl40a2 < 5 and efl40a2 >= 5) amed40a2 = emed40a2.

compute amed40b1 = bmed40b1.
if (gfl40b1 >= 5 ) amed40b1 = gmed40b1.
if (gfl40b1 < 5 and fl40b1 >= 5) amed40b1 = med40b1.
if (gfl40b1 < 5 and fl40b1 < 5 and efl40b1 >= 5) amed40b1 = emed40b1.

compute amed40b2 = bmed40b2.
if (gfl40b2 >= 5 ) amed40b2 = gmed40b2.
if (gfl40b2 < 5 and fl40b2 >= 5) amed40b2 = med40b2.
if (gfl40b2 < 5 and fl40b2 < 5 and efl40b2 >= 5) amed40b2 = emed40b2.

compute amed40c1 = bmed40c1.
if (gfl40c1 >= 5 ) amed40c1 = gmed40c1.
if (gfl40c1 < 5 and fl40c1 >= 5) amed40c1 = med40c1.
if (gfl40c1 < 5 and fl40c1 < 5 and efl40c1 >= 5) amed40c1 = emed40c1.

compute amed40c2 = bmed40c2.
if (gfl40c2 >= 5 ) amed40c2 = gmed40c2.
if (gfl40c2 < 5 and fl40c2 >= 5) amed40c2 = med40c2.
if (gfl40c2 < 5 and fl40c2 < 5 and efl40c2 >= 5) amed40c2 = emed40c2.

compute amed40d1 = bmed40d1.
if (gfl40d1 >= 5 ) amed40d1 = gmed40d1.
if (gfl40d1 < 5 and fl40d1 >= 5) amed40d1 = med40d1.
if (gfl40d1 < 5 and fl40d1 < 5 and efl40d1 >= 5) amed40d1 = emed40d1.

compute amed40d2 = bmed40d2.
if (gfl40d2 >= 5 ) amed40d2 = gmed40d2.
if (gfl40d2 < 5 and fl40d2 >= 5) amed40d2 = med40d2.
if (gfl40d2 < 5 and fl40d2 < 5 and efl40d2 >= 5) amed40d2 = emed40d2.

compute amed40e1 = bmed40e1.
if (gfl40e1 >= 5 ) amed40e1 = gmed40e1.
if (gfl40e1 < 5 and fl40e1 >= 5) amed40e1 = med40e1.
if (gfl40e1 < 5 and fl40e1 < 5 and efl40e1 >= 5) amed40e1 = emed40e1.

compute amed40e2 = bmed40e2.
if (gfl40e2 >= 5 ) amed40e2 = gmed40e2.
if (gfl40e2 < 5 and fl40e2 >= 5) amed40e2 = med40e2.
if (gfl40e2 < 5 and fl40e2 < 5 and efl40e2 >= 5) amed40e2 = emed40e2.

compute amed40f = bmed40f.
if (gfl40f >= 5 ) amed40f = gmed40f.
if (gfl40f < 5 and fl40f >= 5) amed40f = med40f.
if (gfl40f < 5 and fl40f < 5 and efl40f >= 5) amed40f = emed40f.

compute amed40g = bmed40g.
if (gfl40g >= 5 ) amed40g = gmed40g.
if (gfl40g < 5 and fl40g >= 5) amed40g = med40g.
if (gfl40g < 5 and fl40g < 5 and efl40g >= 5) amed40g = emed40g.

************************************************************.
*** Replacing DK and NR with median, m2_q39              ***.
*** Zamjena NZ i BO sa medianama                         ***.
************************************************************.

if (test39a =1) m2_q39a = amed39a.
if (test39b =1) m2_q39b = amed39b.
if (test39c =1) m2_q39c = amed39c.
if (test39d =1) m2_q39d = amed39d.
if (test39e =1) m2_q39e =amed39e.
if (test39f =1) m2_q39f =amed39f.
if (test39g =1) m2_q39g =amed39g.
if (test39h =1) m2_q39h =amed39h.
if (test39i =1) m2_q39i =amed39i.
if (test39j =1) m2_q39j =amed39j.

**************************************************************.
*** Replacing DK and NR with median for question m2_q40    ***.
*** Zamjena NZ i BO sa medianama: pitanja m2_q40           ***.
***************************************************************.

if (test40a1 =1) m2_q40a1 =amed40a1.
if (test40a2 =1) m2_q40a2 =amed40a2.
if (test40b1 =1) m2_q40b1 =amed40b1.
if (test40b2 =1) m2_q40b2 =amed40b2.
if (test40c1 =1) m2_q40c1 =amed40c1.
if (test40c2 =1) m2_q40c2 =amed40c2.
if (test40d1 =1) m2_q40d1 =amed40d1.
if (test40d2 =1) m2_q40d2 =amed40d2.
if (test40e1 =1) m2_q40e1 =amed40e1.
if (test40e2 =1) m2_q40e2 =amed40e2.
if (test40f =1) m2_q40f =amed40f.
if (test40g =1) m2_q40g =amed40g.

***************************************************************.
*** Replacing extreme (outliers) values with median         ***.
*** Zamjena ekstremnih vrijednosti sa medianama             ***.
***************************************************************.

if (m2_q39a le (bmed39a - 6*bsd39a) or m2_q39a ge (bmed39a + 6*bsd39a)) m2_q39a = amed39a.
if (m2_q39b le (bmed39b - 6*bsd39b) or m2_q39b ge (bmed39b + 6*bsd39b)) m2_q39b = amed39b.
if (m2_q39c le (bmed39c - 6*bsd39c) or m2_q39c ge (bmed39c + 6*bsd39c)) m2_q39c = amed39c.
if (m2_q39d le (bmed39d - 6*bsd39d) or m2_q39d ge (bmed39d + 6*bsd39d)) m2_q39d = amed39d.
if (m2_q39e le (bmed39e - 6*bsd39e) or m2_q39e ge (bmed39e + 6*bsd39e)) m2_q39e = amed39e.
if (m2_q39f le (bmed39f - 6*bsd39f) or m2_q39f ge (bmed39f + 6*bsd39f)) m2_q39f = amed39f.
if (m2_q39g le (bmed39g - 6*bsd39g) or m2_q39g ge (bmed39g + 6*bsd39g)) m2_q39g = amed39g.
if (m2_q39h le (bmed39h - 6*bsd39h) or m2_q39h ge (bmed39h + 6*bsd39h)) m2_q39h = amed39h.
if (m2_q39i le (bmed39i - 6*bsd39i) or m2_q39i ge (bmed39i + 6*bsd39i)) m2_q39i = amed39i.
if (m2_q39j le (bmed39j - 6*bsd39j) or m2_q39j ge (bmed39j + 6*bsd39j)) m2_q39j = amed39j.

if (m2_q40a1 le (bmed40a1 - 6*bsd40a1) or m2_q40a1 ge (bmed40a1 + 6*bsd40a1)) m2_q40a1 = amed40a1.
if (m2_q40a2 le (bmed40a2 - 6*bsd40a2) or m2_q40a2 ge (bmed40a2 + 6*bsd40a2)) m2_q40a2 = amed40a2.
if (m2_q40b1 le (bmed40b1 - 6*bsd40b1) or m2_q40b1 ge (bmed40b1 + 6*bsd40b1)) m2_q40b1 = amed40b1.
if (m2_q40b2 le (bmed40b2 - 6*bsd40b2) or m2_q40b2 ge (bmed40b2 + 6*bsd40b2)) m2_q40b2 = amed40b2.
if (m2_q40c1 le (bmed40c1 - 6*bsd40c1) or m2_q40c1 ge (bmed40c1 + 6*bsd40c1)) m2_q40c1 = amed40c1.
if (m2_q40c2 le (bmed40c2 - 6*bsd40c2) or m2_q40c2 ge (bmed40c2 + 6*bsd40c2)) m2_q40c2 = amed40c2.
if (m2_q40d1 le (bmed40d1 - 6*bsd40d1) or m2_q40d1 ge (bmed40d1 + 6*bsd40d1)) m2_q40d1 = amed40d1.
if (m2_q40d2 le (bmed40d2 - 6*bsd40d2) or m2_q40d2 ge (bmed40d2 + 6*bsd40d2)) m2_q40d2 = amed40d2.
if (m2_q40e1 le (bmed40e1 - 6*bsd40e1) or m2_q40e1 ge (bmed40e1 + 6*bsd40e1)) m2_q40e1 = amed40e1.
if (m2_q40e2 le (bmed40e2 - 6*bsd40e2) or m2_q40e2 ge (bmed40e2 + 6*bsd40e2)) m2_q40e2 = amed40e2.
if (m2_q40f le (bmed40f - 6*bsd40f) or m2_q40f ge (bmed40f + 6*bsd40f)) m2_q40f = amed40f.
if (m2_q40g le (bmed40g - 6*bsd40g) or m2_q40g ge (bmed40g + 6*bsd40g)) m2_q40g = amed40g.

*********************************************************.
*** Creating annual expenditures, utilities, m2_q39   ***.
*** Izracunavanje godisnjih troskova za q39           ***.
*********************************************************.

COMPUTE m2_q39aa = m2_q39a * 12 .
variable labels m2_q39aa 'Godisnji toskovi za zaj. prostorije' .

COMPUTE m2_q39bb = m2_q39b * 6 .
variable labels m2_q39bb 'Polugodisnji toskovi za el. en' .

COMPUTE m2_q39cc = m2_q39c * 6 .
variable labels m2_q39cc 'Polugodisnji toskovi za zem. gas' .

COMPUTE m2_q39dd = m2_q39d * 12 .
variable labels m2_q39dd 'Godisnji toskovi za topl. vodu' .

COMPUTE m2_q39ee = m2_q39e * 12 .
variable labels m2_q39ee 'Godisnji toskovi za cent. grij' .

COMPUTE m2_q39ff = m2_q39f * 12 .
variable labels m2_q39ff 'Godisnji toskovi za odvoz smeca' .

COMPUTE m2_q39gg = m2_q39g * 12 .
variable labels m2_q39gg 'Godisnji toskovi za tel' .

COMPUTE m2_q39hh = m2_q39h * 12 .
variable labels m2_q39hh 'Godisnji toskovi za TV ' .

COMPUTE m2_q39ii = m2_q39i * 12 .
variable labels m2_q39ii 'Godisnji toskovi za osiguranje' .

COMPUTE m2_q39jj = m2_q39j * 12 .
variable labels m2_q39jj 'Godisnji toskovi za zemljarinu' .

*******************************************************.
*** Creating annual expenditures, utilities, m2_q40 ***.
*** Izracunavanje god. troskova za q40              ***.
*******************************************************.

COMPUTE m2_q40aa = m2_q40a1 * 6 .
variable labels m2_q40aa 'Polugodisnji toskovi za plin' .

COMPUTE m2_q40ab = m2_q40a2 * 6 .
variable labels m2_q40ab 'Polugodisnji toskovi za plin' .

COMPUTE m2_q40a = m2_q40aa + m2_q40ab.
variable labels m2_q40a 'Godisnji toskovi za plin' .

COMPUTE m2_q40ba = m2_q40b1 * 6 .
variable labels m2_q40ba 'Polugodisnji toskovi za naftu' .

COMPUTE m2_q40bb = m2_q40b2 * 6 .
variable labels m2_q40bb 'Polugodisnji toskovi za naftu' .

COMPUTE m2_q40b = m2_q40ba + m2_q40bb.
variable labels m2_q40b 'Godisnji toskovi za naftu' .

COMPUTE m2_q40ca = m2_q40c1 * 6 .
variable labels m2_q40ca 'Polugodisnji toskovi za ugalj' .

COMPUTE m2_q40cb = m2_q40c2 * 6 .
variable labels m2_q40cb 'Polugodisnji toskovi za ugalj' .

COMPUTE m2_q40c = m2_q40ca + m2_q40cb.
variable labels m2_q40c 'Godisnji toskovi za ugalj' .

COMPUTE m2_q40da = m2_q40d1 * 6 .
variable labels m2_q40da 'Polugodisnji toskovi za drvo' .

COMPUTE m2_q40db = m2_q40d2 * 6 .
variable labels m2_q40db 'Polugodisnji toskovi za drvo' .

COMPUTE m2_q40d = m2_q40da + m2_q40db.
variable labels m2_q40d 'Godisnji toskovi za drvo' .

COMPUTE m2_q40ea = m2_q40e1 * 6 .
variable labels m2_q40ea 'Polugodisnji toskovi za vodu' .

COMPUTE m2_q40eb = m2_q40e2 * 6 .
variable labels m2_q40eb 'Polugodisnji toskovi za vodu' .

COMPUTE m2_q40e = m2_q40ea + m2_q40eb.
variable labels m2_q40e 'Godisnji toskovi za vodu' .

COMPUTE m2_q40ff = m2_q40f * 6 .
variable labels m2_q40ff 'Polugodisnji toskovi za el. en' .

COMPUTE m2_q40f1 = m2_q40ff + m2_q39bb.
variable labels m2_q40f1 'Godisnji toskovi za el. en' .

COMPUTE m2_q40gg = m2_q40g * 6 .
variable labels m2_q40gg 'Polugodisnji toskovi za zemn. gas' .

COMPUTE m2_q40g1 = m2_q40gg + m2_q39cc.
variable labels m2_q40g1 'Godisnji toskovi za zemn. gas' .

COMPUTE totutili = m2_q39aa + m2_q39dd + m2_q39ee + m2_q39ff + m2_q39gg +
  m2_q39hh + m2_q39ii + m2_q39jj + m2_q40a + m2_q40b + m2_q40c + m2_q40d +
  m2_q40e + m2_q40f1 + m2_q40g1 .

variable labels totutili 'Ukupni troskovi za komunalije' .

freq /var totutili /format notable /statistics default median.

sort cases by muncode gnd numist hid.

save /OUTFILE='C:\bih\utility.sav'
 /keep entity muncode gnd numist hid totutili.

