***************************************************.
*** BiH, LSMS 2001, Country level data          ***.
***                                             ***.
*** Program is DURABLES sps                     ***.
*** Data file is C:\BIH\M2_C sav                ***.
*** Output file is C:\DURABLES sav              ***.
***                                             ***.
*** For the Consumption Aggregate               ***.
*** Calculate the use value of durable goods    ***.
***************************************************.

get file='c:\bih\m2_c.sav'.

*************************************************************************.
*** sklanjam 7's , 8's i 8's radi racunanja frekvencija i outliersa   ***.
*** declare 7's, 8's and 9's as missing values                        ***.
*************************************************************************.

missing values m2_q46 (777 thru highest).
missing values m2_q47 (7 thru highest).
missing values m2_q48 (77777 thru highest).

**************************************************.
*** Izracunam SD i MEDIAN  za dati set         ***.
*** Calculate MEDIAN and SD for data set       ***.
*** Only at the country level                  ***.
**************************************************.

AGGREGATE
  /OUTFILE='C:\bih\aggr_M2_C.sav'
  /BREAK=m2_q45b
  /Med = MEDIAN(m2_q48)
  /Std  = SD(m2_q48).

**************************************************.
*** Spajam fajl sa medianom i std sevijac       ***.
*** Merge with the new file                     ***.
**************************************************.

sort cases by m2_q45b.

MATCH FILES /FILE=*
 /TABLE='c:\bih\aggr_M2_C.sav'
 /BY m2_q45b.

*************************************************************************.
*** mijenjam outliers sa median+6*std,                                ***.
*** missing values are not covered                                    ***.
*** replace outliers (those greater MEDIAN+6*SD)                      ***.
*************************************************************************.

if m2_q48 ge (med+6*std) m2_q48=-1.

**************************************************************************.
*** racunam ln vrijednost za vrijednosti vece od 0                     ***.
*** calculate for values greater than or equal to 0                    ***.
**************************************************************************.

IF (m2_q48 gt 0) Ln1 = ln(m2_q48) .

*****************************************************************************.
*** racunam regresiju za svali item, za svaki red po jedan set rezultata  ***.
*** this formula shows the way regression coeficients were computed for   ***.
*** m2_q45b EQ (201 through 223) [code 118 and 119 were dropped as too    ***.
*** few cases and what is there is odd                                    ***.
***(m2_q45b (item code), lnVal0 (value at the time of purchase) ,         ***.
*** depr (depreciation value))                                            ***.
*** use all                                                               ***.
*****************************************************************************.

REGRESSION
  /SELECT= m2_q45b EQ 201
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d201.sav').

REGRESSION
  /SELECT= m2_q45b EQ 202
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d202.sav').

REGRESSION
  /SELECT= m2_q45b EQ 203
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d203.sav').

REGRESSION
  /SELECT= m2_q45b EQ 204
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d204.sav').

REGRESSION
  /SELECT= m2_q45b EQ 205
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d205.sav').

REGRESSION
  /SELECT= m2_q45b EQ 206
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d206.sav') .

REGRESSION
  /SELECT= m2_q45b EQ 207
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d207.sav') .

REGRESSION
  /SELECT= m2_q45b EQ 208
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d208.sav').

REGRESSION
  /SELECT= m2_q45b EQ 209
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d209.sav').

REGRESSION
  /SELECT= m2_q45b EQ 210
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d210.sav').

REGRESSION
  /SELECT= m2_q45b EQ 211
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d211.sav') .

REGRESSION
  /SELECT= m2_q45b EQ 212
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d212.sav').

REGRESSION
  /SELECT= m2_q45b EQ 213
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d213.sav').

REGRESSION
  /SELECT= m2_q45b EQ 214
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d214.sav').

REGRESSION
  /SELECT= m2_q45b EQ 215
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d215.sav').

REGRESSION
  /SELECT= m2_q45b EQ 216
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d216.sav').

REGRESSION
  /SELECT= m2_q45b EQ 217
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d217.sav').

REGRESSION
  /SELECT= m2_q45b EQ 220
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d220.sav').

REGRESSION
  /SELECT= m2_q45b EQ 221
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d221.sav').

REGRESSION
  /SELECT= m2_q45b EQ 222
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d222.sav') .

REGRESSION
  /SELECT= m2_q45b EQ 223
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN
  /DEPENDENT ln1
  /METHOD=ENTER m2_q46  
  /outfile covb('c:\bih\d223.sav').

save /outfile='c:\bih\dur_tem1.sav'.

get file='c:\bih\d201.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=201.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d201.sav'
 /drop depvar_ rowtype_ varname_ rconst depr.

get file='c:\bih\d202.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=202.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d202.sav'
 /drop depvar_ rowtype_ varname_ rconst depr.

get file='c:\bih\d203.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=203.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d203.sav'
 /drop depvar_ rowtype_ varname_ rconst depr.

get file='c:\bih\d204.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=204.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d204.sav'
 /drop depvar_ rowtype_ varname_ rconst depr.

get file='c:\bih\d205.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=205.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d205.sav'
 /drop depvar_ rowtype_ varname_ rconst depr.

get file='c:\bih\d206.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=206.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d206.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d207.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=207.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d207.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d208.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=208.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d208.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d209.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=209.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d209.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d210.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=210.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d210.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d211.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=211.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d211.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d212.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=212.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d212.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d213.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=213.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
execute.
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d213.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d214.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=214.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d214.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d215.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=215.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d215.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d216.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=216.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d216.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d217.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=217.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d217.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d220.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=220.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d220.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d221.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=221.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d221.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d222.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=222.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d222.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\d223.sav'
 /rename (const_ m2_q46 = rconst depr).
compute m2_q45b=223.
select if (rowtype_ eq 'EST' or rowtype_ eq 'SIG').
compute conlag=lag(rconst).
compute deplag=lag(depr).
if (rconst > .1) conlag=0.
if (depr > .1) deplag=0.
execute.
select if (rowtype_ eq 'SIG').
save /outfile='c:\bih\d223.sav'
 /keep m2_q45b conlag deplag.

get file='c:\bih\dur_tem1.sav'.
freq /var m2_q45b.
sort cases by m2_q45b.
freq /var m2_q45b.

match files file=* /table='c:\bih\d201.sav'
 /table='c:\bih\d202.sav'
 /table='c:\bih\d203.sav'
 /table='c:\bih\d204.sav'
 /table='c:\bih\d205.sav'
 /table='c:\bih\d206.sav'
 /table='c:\bih\d207.sav'
 /table='c:\bih\d208.sav'
 /table='c:\bih\d209.sav'
 /table='c:\bih\d210.sav'
 /table='c:\bih\d211.sav'
 /table='c:\bih\d212.sav'
 /table='c:\bih\d213.sav'
 /table='c:\bih\d214.sav'
 /table='c:\bih\d215.sav'
 /table='c:\bih\d216.sav'
 /table='c:\bih\d217.sav'
 /table='c:\bih\d220.sav'
 /table='c:\bih\d221.sav'
 /table='c:\bih\d222.sav'
 /table='c:\bih\d223.sav'
 /by m2_q45b.

means table=conlag by m2_q45b.
recode conlag (sysmis=-1).
select if (conlag ge 0).
freq /var conlag.

COMPUTE lnval0=conlag.      

*******************************************************.
*** Ponistavamo sva setovanja missing values        ***.
*** Remove missing values setting                   ***.
*******************************************************.

missing values m2_q46 m2_q48 ().

**************************************************.
*** Sada mijenjamo vrijednosti 7's, 8's and 9  ***.
*** Replacing missing with estimated values    ***.
**************************************************.

if ((m2_q48 ge 77777 or m2_q48 eq -1) and m2_q46 ge 777) m2_q48 = med.

if ((m2_q48 ge 77777 or m2_q48 eq -1) and m2_q46 lt 777) m2_q48 = exp(lnval0-m2_q46*ln(1-deplag)).

***********************************************.
*** Racunamo user value                     ***.
*** Calculate user value                    ***.
***********************************************.

COMPUTE m2ccons = m2_q48*(0.1-deplag).

save /outfile='c:\bih\dur_tem2.sav'.

***********************************************.
*** save it into a new file                 ***.
***********************************************.

AGGREGATE
  /OUTFILE='C:\bih\durables.sav'
  /BREAK= muncode gnd numist hid
  /durable 'Yrly cons flow of durables' =sum(m2ccons).

get FILE='C:\bih\durables.sav'.

freq /var durable /format notable /statistics default median.

