********************************************************.
*** BiH, 2001 LSMS country level data                ***.
***                                                  ***.
*** File is EDUC_EXP sps                             ***.
*** Data file is C:\BIH\M3 sav                       ***.
*** Output file is C:\BIH\EDUC_EXP sav               ***.
***                                                  ***.
*** For Consumption Aggregate                        ***.
*** Creating annual expenditures on education        ***.
********************************************************.

get file='c:\bih\m1.sav'.
sort cases by muncode gnd numist hid pid.
save /outfile='c:\bih\m1s.sav'.

get file = 'c:\bih\m3.sav'
 /keep entity muncode gnd numist hid pid m3_q02 m3_q04 m3_q05
 m3_q07 m3_q08 m3_q12 m3_q17 m3_q22a m3_q22b m3_q22c m3_q22d
 m3_q22e m3_q22f m3_q22g m3_q22h m3_q22i m3_q23a m3_q23b m3_q23c.

sort cases by muncode gnd numist hid.

match files file=* /file='c:\bih\m1s.sav'
 /by muncode gnd numist hid pid.
freq /var m1_q_b.
select if (m1_q_b ge 0 and m1_q_b lt 100).


********************************************************.
*** Provjera tacnosti odgovora                       ***.
*** 6 odd responses to m3_q02:  3 of these are taken ***.
*** care of at home so expenses are zero, 2 were sent***.
*** to part B of module so get picked up there, 1 is ***.
*** simply missing- this has been given 0 expenditure***.
********************************************************.

temporary.
select if (m1_q_b lt 7 and (m3_q02 eq 0 or sysmis(m3_q02))).
list m1_q_b m3_q02 m3_q04 m3_q07 m3_q08 m3_q17.

if (m1_q_b lt 7 and m3_q02 eq 0 and m3_q04 eq 1) m3_q02=6.
if (m1_q_b lt 7 and sysmis(m3_q02) and (m3_q17 eq 1 or m3_q17 eq 2)) m3_q02=5.
if (m1_q_b lt 7 and sysmis(m3_q02) and sysmis(m3_q17)) m3_q02=6.
if (m1_q_b lt 7 and sysmis(m3_q02) and sysmis(m3_q17)) m3_q04=1.

compute inkinder=0.
if (m3_q02 ge 1 and m3_q02 le 3) inkinder=1.
if (m3_q02 eq 6 and (m3_q04 eq 2 or m3_q04 eq 3)) inkinder=1.

temporary.
select if (inkinder eq 0).
freq /var m3_q07 m3_q08.

temporary.
select if (inkinder eq 1).
freq /var m3_q07 m3_q08.

********************************************************.
*** Expenditure on preschool or kindergarten         ***.
*** Assumptions:  preschool is 12 months             ***.
***               informal payments are once a year  ***.
********************************************************.

compute kinderex=0.
if (inkinder eq 1) kinderex=(m3_q07*12)+ m3_q08.

temporary.
select if (kinderex gt 0).
means table = kinderex by m3_q02.

freq /var kinderex /statistics default median.

*******************************************************.
*** Module 3, part B                                ***.
*** Now do expenditures on regular schooling        ***.
*** M3 Dio B                                        ***.
***Izdvajanje varijabli sa troskovima kostanja      ***.
*******************************************************.

*******************************************************.
*** Listanje gresaka kod nedostajucih vrijednosti   ***.
*** Assumptions:  transportation costs for schooling***.
***               should not be included here as    ***.
***               this would be double counting of  ***.
***               transportation costs captured in  ***.
***               other parts of the questionnaire  ***.
***            :  costs of school uniforms is also  ***.
***               not included here as it would be  ***.
***               double counting on clothing in the***.
***               consumption module                ***.
*******************************************************.

temporary.
select if (m1_q_b ge 7 and m3_q12 eq 1).
freq /var m3_q17 m1_q_b.

compute inschool=0.
if (m3_q02 eq 5 or m3_q17 eq 1) inschool=1.

temporary.
select if (inschool eq 0 and (m3_q22a>0 or m3_q22b>0 or m3_q22c>0 or m3_q22d>0 or m3_q22e>0 
or m3_q22f>0 or m3_q22g>0 or m3_q22h>0 or m3_q22i>0 or m3_q23a >0 or m3_q23b >0 or m3_q23c>0)).
list /var m3_q17 m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h m3_q22i m3_q23a m3_q23b m3_q23c.


******************************************************************.
*** Provjera odgovora DA=1 m3_q17                              ***.
*** There is an assumption that sysmis and 0 are the same for  ***.
*** questions 22 and 23 (given the confusion in the interviewer***.
*** training)- so here reset all sysmis to zeros               ***.
*** Then there is one person who is in school but has          ***.
*** all missing expenditures except m3_q23c which              ***.
*** is 2- assumption is that this is no, no                    ***.
*** expenditures so recoded all expenditures to 0              ***.
******************************************************************.

temporary.
select if (inschool eq 1 and sysmis(m3_q22a) and sysmis(m3_q22b) and sysmis(m3_q22c) and sysmis(m3_q22d)and
  sysmis(m3_q22e) and sysmis(m3_q22f) and sysmis(m3_q22g) and sysmis(m3_q22h) and sysmis(m3_q22i)).
list /muncode gnd numist hid pid.

temporary.
select if (inschool eq 1).
freq /var m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h m3_q22i m3_q23a m3_q23b m3_q23c.

do if (m3_q17 = 1 and sysmis(m3_q22a) and sysmis(m3_q22b) and sysmis(m3_q22c) and sysmis(m3_q22d)and sysmis(m3_q22e) 
and sysmis(m3_q22f) and sysmis(m3_q22g) and sysmis(m3_q22h) and sysmis(m3_q22i)).
recode m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h m3_q22i m3_q23a m3_q23b m3_q23c (sysmis=0) (2=0).
end if.

recode m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h m3_q22i m3_q23a m3_q23b m3_q23c (sysmis=0).

*****************************************************************.
*** Pronalazenje BO i NZ za pitanja m3_q22a do m3_q22i        ***.
*** Iskljucujemo samo ciste NZ i BO, a ne i devetke m3_a22a   ***.
*****************************************************************.

missing values m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h
 m3_q22i m3_q23a m3_q23b m3_q23c ().
execute.
freq /var m3_q22i.

recode m3_q22a (7777=99999) (8888=99999).
recode m3_q22b m3_q22c m3_q22f (777=99999) (888=99999).
recode m3_q22e (777=99999) (888=99999).
recode m3_q22g m3_q22h (777=99999) (888=99999) (999=99999).
recode m3_q22i (7777=99999) (8888=99999) (9999=99999).
recode m3_q23a m3_q23b m3_q23c (999999=99999) (777777=99999).
execute.
freq /var m3_q22i.
missing values m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h
 m3_q22i m3_q23a m3_q23b m3_q23c (99999).
execute.
freq /var m3_q22i.

*****************************************************************.
*** Replace all dont know and no answers with median at the   ***.
*** the municipality level, no effort is made to replace      ***.
*** outliers- as the variation between primary and university ***.
*** can be, validly, enormous                                 ***.
*****************************************************************.

temporary.
select if (inschool eq 1).
AGGREGATE
  /OUTFILE='C:\bih\mmeded.sav'
  /BREAK=muncode
  /med22a = MEDIAN(m3_q22a) /med22b = MEDIAN(m3_q22b)
  /med22c = MEDIAN(m3_q22c) /med22e = MEDIAN(m3_q22e)
  /med22f = MEDIAN(m3_q22f) /med22g = MEDIAN(m3_q22g)
  /med22h = MEDIAN(m3_q22h) /med22i = MEDIAN(m3_q22i) 
  /med23a = MEDIAN(m3_q23a) /med23b = MEDIAN(m3_q23b)
  /med23c = MEDIAN(m3_q23c).

sort cases by muncode.
match files file=* /table='c:\bih\mmeded.sav'
 /by muncode.

missing values m3_q22a m3_q22b m3_q22c m3_q22d m3_q22e m3_q22f m3_q22g m3_q22h
 m3_q22i m3_q23a m3_q23b m3_q23c ().

if (m3_q22a eq 99999 and inschool eq 1) m3_q22a = med22a.
if (m3_q22b eq 99999 and inschool eq 1) m3_q22b = med22b.
if (m3_q22c eq 99999 and inschool eq 1) m3_q22c = med22c.
if (m3_q22e eq 99999 and inschool eq 1) m3_q22e = med22e.
if (m3_q22f eq 99999 and inschool eq 1) m3_q22f = med22f.
if (m3_q22g eq 99999 and inschool eq 1) m3_q22g = med22g.
if (m3_q22h eq 99999 and inschool eq 1) m3_q22h = med22h.
if (m3_q22i eq 99999 and inschool eq 1) m3_q22i = med22i.
if (m3_q23a eq 99999 and inschool eq 1) m3_q23a = med23a.
if (m3_q23b eq 99999 and inschool eq 1) m3_q23b = med23b.
if (m3_q23c eq 99999 and inschool eq 1) m3_q23c = med23c.

*****************************************************.
*** Some cases where m3_q22i is the total of the  ***.
*** rest of the m3_q22a-h variables- this should  ***.
*** not be as it is double counting, so in these  ***.
*** cases, recode m3_q22i to zero                 ***.
*****************************************************.

compute test1 = (m3_q22a + m3_q22b + m3_q22c + m3_q22e + m3_q22f + m3_q22g + m3_q22h)- m3_q22i.
if (inschool eq 1 and m3_q22i gt 0 and test1 eq 0) m3_q22i=0.

compute schexp = 0.
if (inschool eq 1) schexp=m3_q22a + m3_q22b + m3_q22c + m3_q22e + m3_q22f + m3_q22g + m3_q22h
 + m3_q22i + m3_q23a + m3_q23b + m3_q23c.

compute expeduc=kinderex + schexp.

freq /var expeduc kinderex schexp.

aggregate /outfile='c:\bih\educ_exp.sav'
 /break muncode gnd numist hid
 /expkind 'Annual exp. preschool M3a'=sum(kinderex)
 /expschl 'Annual exp. school, M3b'=sum(schexp)
 /educexp 'All ed exp m3a+m3b'=sum(expeduc).

get file='c:\bih\educ_exp.sav'.

freq /var expkind expschl educexp /format notable /statistics default median.


